//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARSCRATCH_H_INC_
#define ___ARSCRATCH_H_INC_
#define NV_MOBILE_ARSCRATCH_H_UNIT_OF_OFFSET 1B

// Register SCRATCH_SECURE_BL_SCRATCH_0
#define SCRATCH_SECURE_BL_SCRATCH_0                     _MK_ADDR_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_0_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_0_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_0_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_0_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH
#define SCRATCH_SECURE_BL_SCRATCH                       _MK_ADDR_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_SECURE                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_DUAL                  0x0
#define SCRATCH_SECURE_BL_SCRATCH_SCR                   BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_WORD_COUNT                    0x1
#define SCRATCH_SECURE_BL_SCRATCH_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_RANGE                    31:0
#define SCRATCH_SECURE_BL_SCRATCH_DATA_WOFFSET                  0x0
#define SCRATCH_SECURE_BL_SCRATCH_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_1
#define SCRATCH_SECURE_BL_SCRATCH_1                     _MK_ADDR_CONST(0x4)
#define SCRATCH_SECURE_BL_SCRATCH_1_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_1_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_1_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_1_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_1_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_1_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_1_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_1_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_2
#define SCRATCH_SECURE_BL_SCRATCH_2                     _MK_ADDR_CONST(0x8)
#define SCRATCH_SECURE_BL_SCRATCH_2_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_2_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_2_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_2_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_2_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_2_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_2_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_2_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_2_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_3
#define SCRATCH_SECURE_BL_SCRATCH_3                     _MK_ADDR_CONST(0xc)
#define SCRATCH_SECURE_BL_SCRATCH_3_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_3_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_3_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_3_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_3_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_3_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_3_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_3_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_3_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_4
#define SCRATCH_SECURE_BL_SCRATCH_4                     _MK_ADDR_CONST(0x10)
#define SCRATCH_SECURE_BL_SCRATCH_4_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_4_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_4_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_4_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_4_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_4_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_4_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_4_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_4_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_5
#define SCRATCH_SECURE_BL_SCRATCH_5                     _MK_ADDR_CONST(0x14)
#define SCRATCH_SECURE_BL_SCRATCH_5_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_5_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_5_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_5_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_5_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_5_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_5_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_5_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_5_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_6
#define SCRATCH_SECURE_BL_SCRATCH_6                     _MK_ADDR_CONST(0x18)
#define SCRATCH_SECURE_BL_SCRATCH_6_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_6_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_6_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_6_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_6_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_6_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_6_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_6_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_6_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_7
#define SCRATCH_SECURE_BL_SCRATCH_7                     _MK_ADDR_CONST(0x1c)
#define SCRATCH_SECURE_BL_SCRATCH_7_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_7_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_7_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_7_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_7_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_7_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_7_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_7_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_7_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_8
#define SCRATCH_SECURE_BL_SCRATCH_8                     _MK_ADDR_CONST(0x20)
#define SCRATCH_SECURE_BL_SCRATCH_8_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_8_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_8_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_8_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_8_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_8_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_8_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_8_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_8_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_9
#define SCRATCH_SECURE_BL_SCRATCH_9                     _MK_ADDR_CONST(0x24)
#define SCRATCH_SECURE_BL_SCRATCH_9_SECURE                      0x0
#define SCRATCH_SECURE_BL_SCRATCH_9_DUAL                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_9_SCR                         BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_9_WORD_COUNT                  0x1
#define SCRATCH_SECURE_BL_SCRATCH_9_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_9_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_9_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_9_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_RANGE                  31:0
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_9_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_10
#define SCRATCH_SECURE_BL_SCRATCH_10                    _MK_ADDR_CONST(0x28)
#define SCRATCH_SECURE_BL_SCRATCH_10_SECURE                     0x0
#define SCRATCH_SECURE_BL_SCRATCH_10_DUAL                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_10_SCR                        BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_10_WORD_COUNT                         0x1
#define SCRATCH_SECURE_BL_SCRATCH_10_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_10_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_10_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_10_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_RANGE                 31:0
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_10_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_11
#define SCRATCH_SECURE_BL_SCRATCH_11                    _MK_ADDR_CONST(0x2c)
#define SCRATCH_SECURE_BL_SCRATCH_11_SECURE                     0x0
#define SCRATCH_SECURE_BL_SCRATCH_11_DUAL                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_11_SCR                        BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_11_WORD_COUNT                         0x1
#define SCRATCH_SECURE_BL_SCRATCH_11_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_11_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_11_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_11_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_RANGE                 31:0
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_11_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_12
#define SCRATCH_SECURE_BL_SCRATCH_12                    _MK_ADDR_CONST(0x30)
#define SCRATCH_SECURE_BL_SCRATCH_12_SECURE                     0x0
#define SCRATCH_SECURE_BL_SCRATCH_12_DUAL                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_12_SCR                        BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_12_WORD_COUNT                         0x1
#define SCRATCH_SECURE_BL_SCRATCH_12_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_12_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_12_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_12_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_RANGE                 31:0
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_12_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_13
#define SCRATCH_SECURE_BL_SCRATCH_13                    _MK_ADDR_CONST(0x34)
#define SCRATCH_SECURE_BL_SCRATCH_13_SECURE                     0x0
#define SCRATCH_SECURE_BL_SCRATCH_13_DUAL                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_13_SCR                        BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_13_WORD_COUNT                         0x1
#define SCRATCH_SECURE_BL_SCRATCH_13_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_13_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_13_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_13_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_RANGE                 31:0
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_13_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_BL_SCRATCH_14
#define SCRATCH_SECURE_BL_SCRATCH_14                    _MK_ADDR_CONST(0x38)
#define SCRATCH_SECURE_BL_SCRATCH_14_SECURE                     0x0
#define SCRATCH_SECURE_BL_SCRATCH_14_DUAL                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_14_SCR                        BL_SCR_0
#define SCRATCH_SECURE_BL_SCRATCH_14_WORD_COUNT                         0x1
#define SCRATCH_SECURE_BL_SCRATCH_14_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_14_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_14_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_BL_SCRATCH_14_DATA_SHIFT)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_RANGE                 31:0
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_BL_SCRATCH_14_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_0
#define SCRATCH_SECURE_MTS_SCRATCH_0                    _MK_ADDR_CONST(0x3c)
#define SCRATCH_SECURE_MTS_SCRATCH_0_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_0_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_0_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_0_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_0_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH
#define SCRATCH_SECURE_MTS_SCRATCH                      _MK_ADDR_CONST(0x3c)
#define SCRATCH_SECURE_MTS_SCRATCH_SECURE                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_DUAL                         0x0
#define SCRATCH_SECURE_MTS_SCRATCH_SCR                  MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_WORD_COUNT                   0x1
#define SCRATCH_SECURE_MTS_SCRATCH_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_RANGE                   31:0
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_WOFFSET                 0x0
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_1
#define SCRATCH_SECURE_MTS_SCRATCH_1                    _MK_ADDR_CONST(0x40)
#define SCRATCH_SECURE_MTS_SCRATCH_1_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_1_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_1_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_1_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_1_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_1_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_2
#define SCRATCH_SECURE_MTS_SCRATCH_2                    _MK_ADDR_CONST(0x44)
#define SCRATCH_SECURE_MTS_SCRATCH_2_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_2_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_2_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_2_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_2_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_2_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_2_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_2_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_3
#define SCRATCH_SECURE_MTS_SCRATCH_3                    _MK_ADDR_CONST(0x48)
#define SCRATCH_SECURE_MTS_SCRATCH_3_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_3_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_3_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_3_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_3_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_3_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_3_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_3_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_4
#define SCRATCH_SECURE_MTS_SCRATCH_4                    _MK_ADDR_CONST(0x4c)
#define SCRATCH_SECURE_MTS_SCRATCH_4_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_4_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_4_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_4_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_4_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_4_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_4_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_4_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_4_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_5
#define SCRATCH_SECURE_MTS_SCRATCH_5                    _MK_ADDR_CONST(0x50)
#define SCRATCH_SECURE_MTS_SCRATCH_5_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_5_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_5_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_5_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_5_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_5_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_5_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_5_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_5_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_6
#define SCRATCH_SECURE_MTS_SCRATCH_6                    _MK_ADDR_CONST(0x54)
#define SCRATCH_SECURE_MTS_SCRATCH_6_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_6_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_6_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_6_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_6_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_6_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_6_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_6_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_6_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_7
#define SCRATCH_SECURE_MTS_SCRATCH_7                    _MK_ADDR_CONST(0x58)
#define SCRATCH_SECURE_MTS_SCRATCH_7_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_7_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_7_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_7_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_7_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_7_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_7_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_7_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_7_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_8
#define SCRATCH_SECURE_MTS_SCRATCH_8                    _MK_ADDR_CONST(0x5c)
#define SCRATCH_SECURE_MTS_SCRATCH_8_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_8_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_8_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_8_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_8_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_8_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_8_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_8_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_8_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_MTS_SCRATCH_9
#define SCRATCH_SECURE_MTS_SCRATCH_9                    _MK_ADDR_CONST(0x60)
#define SCRATCH_SECURE_MTS_SCRATCH_9_SECURE                     0x0
#define SCRATCH_SECURE_MTS_SCRATCH_9_DUAL                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_9_SCR                        MTS_SCR_0
#define SCRATCH_SECURE_MTS_SCRATCH_9_WORD_COUNT                         0x1
#define SCRATCH_SECURE_MTS_SCRATCH_9_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_9_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_9_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_MTS_SCRATCH_9_DATA_SHIFT)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_RANGE                 31:0
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_MTS_SCRATCH_9_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV0_SCRATCH_0
#define SCRATCH_SECURE_RSV0_SCRATCH_0                   _MK_ADDR_CONST(0x64)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_0_SCR                       RSV0_SCR_0
#define SCRATCH_SECURE_RSV0_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV0_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV0_SCRATCH
#define SCRATCH_SECURE_RSV0_SCRATCH                     _MK_ADDR_CONST(0x64)
#define SCRATCH_SECURE_RSV0_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_SCR                         RSV0_SCR_0
#define SCRATCH_SECURE_RSV0_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV0_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV0_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV0_SCRATCH_1
#define SCRATCH_SECURE_RSV0_SCRATCH_1                   _MK_ADDR_CONST(0x68)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_1_SCR                       RSV0_SCR_0
#define SCRATCH_SECURE_RSV0_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV0_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV0_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV1_SCRATCH_0
#define SCRATCH_SECURE_RSV1_SCRATCH_0                   _MK_ADDR_CONST(0x6c)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_0_SCR                       RSV1_SCR_0
#define SCRATCH_SECURE_RSV1_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV1_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV1_SCRATCH
#define SCRATCH_SECURE_RSV1_SCRATCH                     _MK_ADDR_CONST(0x6c)
#define SCRATCH_SECURE_RSV1_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_SCR                         RSV1_SCR_0
#define SCRATCH_SECURE_RSV1_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV1_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV1_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV1_SCRATCH_1
#define SCRATCH_SECURE_RSV1_SCRATCH_1                   _MK_ADDR_CONST(0x70)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_1_SCR                       RSV1_SCR_0
#define SCRATCH_SECURE_RSV1_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV1_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV1_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV2_SCRATCH_0
#define SCRATCH_SECURE_RSV2_SCRATCH_0                   _MK_ADDR_CONST(0x74)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_0_SCR                       RSV2_SCR_0
#define SCRATCH_SECURE_RSV2_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV2_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV2_SCRATCH
#define SCRATCH_SECURE_RSV2_SCRATCH                     _MK_ADDR_CONST(0x74)
#define SCRATCH_SECURE_RSV2_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_SCR                         RSV2_SCR_0
#define SCRATCH_SECURE_RSV2_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV2_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV2_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV2_SCRATCH_1
#define SCRATCH_SECURE_RSV2_SCRATCH_1                   _MK_ADDR_CONST(0x78)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_1_SCR                       RSV2_SCR_0
#define SCRATCH_SECURE_RSV2_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV2_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV2_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV3_SCRATCH_0
#define SCRATCH_SECURE_RSV3_SCRATCH_0                   _MK_ADDR_CONST(0x7c)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_0_SCR                       RSV3_SCR_0
#define SCRATCH_SECURE_RSV3_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV3_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV3_SCRATCH
#define SCRATCH_SECURE_RSV3_SCRATCH                     _MK_ADDR_CONST(0x7c)
#define SCRATCH_SECURE_RSV3_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_SCR                         RSV3_SCR_0
#define SCRATCH_SECURE_RSV3_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV3_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV3_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV3_SCRATCH_1
#define SCRATCH_SECURE_RSV3_SCRATCH_1                   _MK_ADDR_CONST(0x80)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_1_SCR                       RSV3_SCR_0
#define SCRATCH_SECURE_RSV3_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV3_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV3_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV4_SCRATCH_0
#define SCRATCH_SECURE_RSV4_SCRATCH_0                   _MK_ADDR_CONST(0x84)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_0_SCR                       RSV4_SCR_0
#define SCRATCH_SECURE_RSV4_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV4_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV4_SCRATCH
#define SCRATCH_SECURE_RSV4_SCRATCH                     _MK_ADDR_CONST(0x84)
#define SCRATCH_SECURE_RSV4_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_SCR                         RSV4_SCR_0
#define SCRATCH_SECURE_RSV4_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV4_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV4_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV4_SCRATCH_1
#define SCRATCH_SECURE_RSV4_SCRATCH_1                   _MK_ADDR_CONST(0x88)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_1_SCR                       RSV4_SCR_0
#define SCRATCH_SECURE_RSV4_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV4_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV4_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV5_SCRATCH_0
#define SCRATCH_SECURE_RSV5_SCRATCH_0                   _MK_ADDR_CONST(0x8c)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_0_SCR                       RSV5_SCR_0
#define SCRATCH_SECURE_RSV5_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV5_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV5_SCRATCH
#define SCRATCH_SECURE_RSV5_SCRATCH                     _MK_ADDR_CONST(0x8c)
#define SCRATCH_SECURE_RSV5_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_SCR                         RSV5_SCR_0
#define SCRATCH_SECURE_RSV5_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV5_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV5_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV5_SCRATCH_1
#define SCRATCH_SECURE_RSV5_SCRATCH_1                   _MK_ADDR_CONST(0x90)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_1_SCR                       RSV5_SCR_0
#define SCRATCH_SECURE_RSV5_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV5_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV5_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV6_SCRATCH_0
#define SCRATCH_SECURE_RSV6_SCRATCH_0                   _MK_ADDR_CONST(0x94)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_0_SCR                       RSV6_SCR_0
#define SCRATCH_SECURE_RSV6_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV6_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV6_SCRATCH
#define SCRATCH_SECURE_RSV6_SCRATCH                     _MK_ADDR_CONST(0x94)
#define SCRATCH_SECURE_RSV6_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_SCR                         RSV6_SCR_0
#define SCRATCH_SECURE_RSV6_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV6_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV6_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV6_SCRATCH_1
#define SCRATCH_SECURE_RSV6_SCRATCH_1                   _MK_ADDR_CONST(0x98)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_1_SCR                       RSV6_SCR_0
#define SCRATCH_SECURE_RSV6_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV6_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV6_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV7_SCRATCH_0
#define SCRATCH_SECURE_RSV7_SCRATCH_0                   _MK_ADDR_CONST(0x9c)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_0_SCR                       RSV7_SCR_0
#define SCRATCH_SECURE_RSV7_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV7_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV7_SCRATCH
#define SCRATCH_SECURE_RSV7_SCRATCH                     _MK_ADDR_CONST(0x9c)
#define SCRATCH_SECURE_RSV7_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_SCR                         RSV7_SCR_0
#define SCRATCH_SECURE_RSV7_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV7_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV7_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV7_SCRATCH_1
#define SCRATCH_SECURE_RSV7_SCRATCH_1                   _MK_ADDR_CONST(0xa0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_1_SCR                       RSV7_SCR_0
#define SCRATCH_SECURE_RSV7_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV7_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV7_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV8_SCRATCH_0
#define SCRATCH_SECURE_RSV8_SCRATCH_0                   _MK_ADDR_CONST(0xa4)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_0_SCR                       RSV8_SCR_0
#define SCRATCH_SECURE_RSV8_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV8_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV8_SCRATCH
#define SCRATCH_SECURE_RSV8_SCRATCH                     _MK_ADDR_CONST(0xa4)
#define SCRATCH_SECURE_RSV8_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_SCR                         RSV8_SCR_0
#define SCRATCH_SECURE_RSV8_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV8_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV8_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV8_SCRATCH_1
#define SCRATCH_SECURE_RSV8_SCRATCH_1                   _MK_ADDR_CONST(0xa8)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_1_SCR                       RSV8_SCR_0
#define SCRATCH_SECURE_RSV8_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV8_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV8_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV9_SCRATCH_0
#define SCRATCH_SECURE_RSV9_SCRATCH_0                   _MK_ADDR_CONST(0xac)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_SECURE                    0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DUAL                      0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_0_SCR                       RSV9_SCR_0
#define SCRATCH_SECURE_RSV9_SCRATCH_0_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV9_SCRATCH_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_0_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV9_SCRATCH
#define SCRATCH_SECURE_RSV9_SCRATCH                     _MK_ADDR_CONST(0xac)
#define SCRATCH_SECURE_RSV9_SCRATCH_SECURE                      0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_DUAL                        0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_SCR                         RSV9_SCR_0
#define SCRATCH_SECURE_RSV9_SCRATCH_WORD_COUNT                  0x1
#define SCRATCH_SECURE_RSV9_SCRATCH_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV9_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_RANGE                  31:0
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_WOFFSET                        0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV9_SCRATCH_1
#define SCRATCH_SECURE_RSV9_SCRATCH_1                   _MK_ADDR_CONST(0xb0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_SECURE                    0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DUAL                      0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_1_SCR                       RSV9_SCR_0
#define SCRATCH_SECURE_RSV9_SCRATCH_1_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV9_SCRATCH_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV9_SCRATCH_1_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV10_SCRATCH_0
#define SCRATCH_SECURE_RSV10_SCRATCH_0                  _MK_ADDR_CONST(0xb4)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_0_SCR                      RSV10_SCR_0
#define SCRATCH_SECURE_RSV10_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV10_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV10_SCRATCH
#define SCRATCH_SECURE_RSV10_SCRATCH                    _MK_ADDR_CONST(0xb4)
#define SCRATCH_SECURE_RSV10_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_SCR                        RSV10_SCR_0
#define SCRATCH_SECURE_RSV10_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV10_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV10_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV10_SCRATCH_1
#define SCRATCH_SECURE_RSV10_SCRATCH_1                  _MK_ADDR_CONST(0xb8)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_1_SCR                      RSV10_SCR_0
#define SCRATCH_SECURE_RSV10_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV10_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV10_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV11_SCRATCH_0
#define SCRATCH_SECURE_RSV11_SCRATCH_0                  _MK_ADDR_CONST(0xbc)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_0_SCR                      RSV11_SCR_0
#define SCRATCH_SECURE_RSV11_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV11_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV11_SCRATCH
#define SCRATCH_SECURE_RSV11_SCRATCH                    _MK_ADDR_CONST(0xbc)
#define SCRATCH_SECURE_RSV11_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_SCR                        RSV11_SCR_0
#define SCRATCH_SECURE_RSV11_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV11_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV11_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV11_SCRATCH_1
#define SCRATCH_SECURE_RSV11_SCRATCH_1                  _MK_ADDR_CONST(0xc0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_1_SCR                      RSV11_SCR_0
#define SCRATCH_SECURE_RSV11_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV11_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV11_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV12_SCRATCH_0
#define SCRATCH_SECURE_RSV12_SCRATCH_0                  _MK_ADDR_CONST(0xc4)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_0_SCR                      RSV12_SCR_0
#define SCRATCH_SECURE_RSV12_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV12_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV12_SCRATCH
#define SCRATCH_SECURE_RSV12_SCRATCH                    _MK_ADDR_CONST(0xc4)
#define SCRATCH_SECURE_RSV12_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_SCR                        RSV12_SCR_0
#define SCRATCH_SECURE_RSV12_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV12_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV12_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV12_SCRATCH_1
#define SCRATCH_SECURE_RSV12_SCRATCH_1                  _MK_ADDR_CONST(0xc8)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_1_SCR                      RSV12_SCR_0
#define SCRATCH_SECURE_RSV12_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV12_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV12_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV13_SCRATCH_0
#define SCRATCH_SECURE_RSV13_SCRATCH_0                  _MK_ADDR_CONST(0xcc)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_0_SCR                      RSV13_SCR_0
#define SCRATCH_SECURE_RSV13_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV13_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV13_SCRATCH
#define SCRATCH_SECURE_RSV13_SCRATCH                    _MK_ADDR_CONST(0xcc)
#define SCRATCH_SECURE_RSV13_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_SCR                        RSV13_SCR_0
#define SCRATCH_SECURE_RSV13_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV13_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV13_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV13_SCRATCH_1
#define SCRATCH_SECURE_RSV13_SCRATCH_1                  _MK_ADDR_CONST(0xd0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_1_SCR                      RSV13_SCR_0
#define SCRATCH_SECURE_RSV13_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV13_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV13_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV14_SCRATCH_0
#define SCRATCH_SECURE_RSV14_SCRATCH_0                  _MK_ADDR_CONST(0xd4)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_0_SCR                      RSV14_SCR_0
#define SCRATCH_SECURE_RSV14_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV14_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV14_SCRATCH
#define SCRATCH_SECURE_RSV14_SCRATCH                    _MK_ADDR_CONST(0xd4)
#define SCRATCH_SECURE_RSV14_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_SCR                        RSV14_SCR_0
#define SCRATCH_SECURE_RSV14_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV14_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV14_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV14_SCRATCH_1
#define SCRATCH_SECURE_RSV14_SCRATCH_1                  _MK_ADDR_CONST(0xd8)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_1_SCR                      RSV14_SCR_0
#define SCRATCH_SECURE_RSV14_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV14_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV14_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV15_SCRATCH_0
#define SCRATCH_SECURE_RSV15_SCRATCH_0                  _MK_ADDR_CONST(0xdc)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_0_SCR                      RSV15_SCR_0
#define SCRATCH_SECURE_RSV15_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV15_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV15_SCRATCH
#define SCRATCH_SECURE_RSV15_SCRATCH                    _MK_ADDR_CONST(0xdc)
#define SCRATCH_SECURE_RSV15_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_SCR                        RSV15_SCR_0
#define SCRATCH_SECURE_RSV15_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV15_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV15_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV15_SCRATCH_1
#define SCRATCH_SECURE_RSV15_SCRATCH_1                  _MK_ADDR_CONST(0xe0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_1_SCR                      RSV15_SCR_0
#define SCRATCH_SECURE_RSV15_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV15_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV15_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV16_SCRATCH_0
#define SCRATCH_SECURE_RSV16_SCRATCH_0                  _MK_ADDR_CONST(0xe4)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_0_SCR                      RSV16_SCR_0
#define SCRATCH_SECURE_RSV16_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV16_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV16_SCRATCH
#define SCRATCH_SECURE_RSV16_SCRATCH                    _MK_ADDR_CONST(0xe4)
#define SCRATCH_SECURE_RSV16_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_SCR                        RSV16_SCR_0
#define SCRATCH_SECURE_RSV16_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV16_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV16_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV16_SCRATCH_1
#define SCRATCH_SECURE_RSV16_SCRATCH_1                  _MK_ADDR_CONST(0xe8)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_1_SCR                      RSV16_SCR_0
#define SCRATCH_SECURE_RSV16_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV16_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV16_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV17_SCRATCH_0
#define SCRATCH_SECURE_RSV17_SCRATCH_0                  _MK_ADDR_CONST(0xec)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_0_SCR                      RSV17_SCR_0
#define SCRATCH_SECURE_RSV17_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV17_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV17_SCRATCH
#define SCRATCH_SECURE_RSV17_SCRATCH                    _MK_ADDR_CONST(0xec)
#define SCRATCH_SECURE_RSV17_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_SCR                        RSV17_SCR_0
#define SCRATCH_SECURE_RSV17_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV17_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV17_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV17_SCRATCH_1
#define SCRATCH_SECURE_RSV17_SCRATCH_1                  _MK_ADDR_CONST(0xf0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_1_SCR                      RSV17_SCR_0
#define SCRATCH_SECURE_RSV17_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV17_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV17_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV18_SCRATCH_0
#define SCRATCH_SECURE_RSV18_SCRATCH_0                  _MK_ADDR_CONST(0xf4)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_0_SCR                      RSV18_SCR_0
#define SCRATCH_SECURE_RSV18_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV18_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV18_SCRATCH
#define SCRATCH_SECURE_RSV18_SCRATCH                    _MK_ADDR_CONST(0xf4)
#define SCRATCH_SECURE_RSV18_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_SCR                        RSV18_SCR_0
#define SCRATCH_SECURE_RSV18_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV18_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV18_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV18_SCRATCH_1
#define SCRATCH_SECURE_RSV18_SCRATCH_1                  _MK_ADDR_CONST(0xf8)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_1_SCR                      RSV18_SCR_0
#define SCRATCH_SECURE_RSV18_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV18_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV18_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV19_SCRATCH_0
#define SCRATCH_SECURE_RSV19_SCRATCH_0                  _MK_ADDR_CONST(0xfc)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_0_SCR                      RSV19_SCR_0
#define SCRATCH_SECURE_RSV19_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV19_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV19_SCRATCH
#define SCRATCH_SECURE_RSV19_SCRATCH                    _MK_ADDR_CONST(0xfc)
#define SCRATCH_SECURE_RSV19_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_SCR                        RSV19_SCR_0
#define SCRATCH_SECURE_RSV19_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV19_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV19_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV19_SCRATCH_1
#define SCRATCH_SECURE_RSV19_SCRATCH_1                  _MK_ADDR_CONST(0x100)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_1_SCR                      RSV19_SCR_0
#define SCRATCH_SECURE_RSV19_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV19_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV19_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV20_SCRATCH_0
#define SCRATCH_SECURE_RSV20_SCRATCH_0                  _MK_ADDR_CONST(0x104)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_0_SCR                      RSV20_SCR_0
#define SCRATCH_SECURE_RSV20_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV20_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV20_SCRATCH
#define SCRATCH_SECURE_RSV20_SCRATCH                    _MK_ADDR_CONST(0x104)
#define SCRATCH_SECURE_RSV20_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_SCR                        RSV20_SCR_0
#define SCRATCH_SECURE_RSV20_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV20_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV20_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV20_SCRATCH_1
#define SCRATCH_SECURE_RSV20_SCRATCH_1                  _MK_ADDR_CONST(0x108)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_1_SCR                      RSV20_SCR_0
#define SCRATCH_SECURE_RSV20_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV20_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV20_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV21_SCRATCH_0
#define SCRATCH_SECURE_RSV21_SCRATCH_0                  _MK_ADDR_CONST(0x10c)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_0_SCR                      RSV21_SCR_0
#define SCRATCH_SECURE_RSV21_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV21_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV21_SCRATCH
#define SCRATCH_SECURE_RSV21_SCRATCH                    _MK_ADDR_CONST(0x10c)
#define SCRATCH_SECURE_RSV21_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_SCR                        RSV21_SCR_0
#define SCRATCH_SECURE_RSV21_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV21_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV21_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV21_SCRATCH_1
#define SCRATCH_SECURE_RSV21_SCRATCH_1                  _MK_ADDR_CONST(0x110)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_1_SCR                      RSV21_SCR_0
#define SCRATCH_SECURE_RSV21_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV21_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV21_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV22_SCRATCH_0
#define SCRATCH_SECURE_RSV22_SCRATCH_0                  _MK_ADDR_CONST(0x114)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_0_SCR                      RSV22_SCR_0
#define SCRATCH_SECURE_RSV22_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV22_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV22_SCRATCH
#define SCRATCH_SECURE_RSV22_SCRATCH                    _MK_ADDR_CONST(0x114)
#define SCRATCH_SECURE_RSV22_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_SCR                        RSV22_SCR_0
#define SCRATCH_SECURE_RSV22_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV22_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV22_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV22_SCRATCH_1
#define SCRATCH_SECURE_RSV22_SCRATCH_1                  _MK_ADDR_CONST(0x118)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_1_SCR                      RSV22_SCR_0
#define SCRATCH_SECURE_RSV22_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV22_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV22_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV23_SCRATCH_0
#define SCRATCH_SECURE_RSV23_SCRATCH_0                  _MK_ADDR_CONST(0x11c)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_0_SCR                      RSV23_SCR_0
#define SCRATCH_SECURE_RSV23_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV23_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV23_SCRATCH
#define SCRATCH_SECURE_RSV23_SCRATCH                    _MK_ADDR_CONST(0x11c)
#define SCRATCH_SECURE_RSV23_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_SCR                        RSV23_SCR_0
#define SCRATCH_SECURE_RSV23_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV23_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV23_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV23_SCRATCH_1
#define SCRATCH_SECURE_RSV23_SCRATCH_1                  _MK_ADDR_CONST(0x120)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_1_SCR                      RSV23_SCR_0
#define SCRATCH_SECURE_RSV23_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV23_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV23_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV24_SCRATCH_0
#define SCRATCH_SECURE_RSV24_SCRATCH_0                  _MK_ADDR_CONST(0x124)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_0_SCR                      RSV24_SCR_0
#define SCRATCH_SECURE_RSV24_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV24_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV24_SCRATCH
#define SCRATCH_SECURE_RSV24_SCRATCH                    _MK_ADDR_CONST(0x124)
#define SCRATCH_SECURE_RSV24_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_SCR                        RSV24_SCR_0
#define SCRATCH_SECURE_RSV24_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV24_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV24_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV24_SCRATCH_1
#define SCRATCH_SECURE_RSV24_SCRATCH_1                  _MK_ADDR_CONST(0x128)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_1_SCR                      RSV24_SCR_0
#define SCRATCH_SECURE_RSV24_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV24_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV24_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV25_SCRATCH_0
#define SCRATCH_SECURE_RSV25_SCRATCH_0                  _MK_ADDR_CONST(0x12c)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_0_SCR                      RSV25_SCR_0
#define SCRATCH_SECURE_RSV25_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV25_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV25_SCRATCH
#define SCRATCH_SECURE_RSV25_SCRATCH                    _MK_ADDR_CONST(0x12c)
#define SCRATCH_SECURE_RSV25_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_SCR                        RSV25_SCR_0
#define SCRATCH_SECURE_RSV25_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV25_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV25_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV25_SCRATCH_1
#define SCRATCH_SECURE_RSV25_SCRATCH_1                  _MK_ADDR_CONST(0x130)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_1_SCR                      RSV25_SCR_0
#define SCRATCH_SECURE_RSV25_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV25_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV25_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV26_SCRATCH_0
#define SCRATCH_SECURE_RSV26_SCRATCH_0                  _MK_ADDR_CONST(0x134)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_0_SCR                      RSV26_SCR_0
#define SCRATCH_SECURE_RSV26_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV26_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV26_SCRATCH
#define SCRATCH_SECURE_RSV26_SCRATCH                    _MK_ADDR_CONST(0x134)
#define SCRATCH_SECURE_RSV26_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_SCR                        RSV26_SCR_0
#define SCRATCH_SECURE_RSV26_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV26_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV26_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV26_SCRATCH_1
#define SCRATCH_SECURE_RSV26_SCRATCH_1                  _MK_ADDR_CONST(0x138)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_1_SCR                      RSV26_SCR_0
#define SCRATCH_SECURE_RSV26_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV26_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV26_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV27_SCRATCH_0
#define SCRATCH_SECURE_RSV27_SCRATCH_0                  _MK_ADDR_CONST(0x13c)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_0_SCR                      RSV27_SCR_0
#define SCRATCH_SECURE_RSV27_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV27_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV27_SCRATCH
#define SCRATCH_SECURE_RSV27_SCRATCH                    _MK_ADDR_CONST(0x13c)
#define SCRATCH_SECURE_RSV27_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_SCR                        RSV27_SCR_0
#define SCRATCH_SECURE_RSV27_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV27_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV27_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV27_SCRATCH_1
#define SCRATCH_SECURE_RSV27_SCRATCH_1                  _MK_ADDR_CONST(0x140)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_1_SCR                      RSV27_SCR_0
#define SCRATCH_SECURE_RSV27_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV27_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV27_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV28_SCRATCH_0
#define SCRATCH_SECURE_RSV28_SCRATCH_0                  _MK_ADDR_CONST(0x144)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_0_SCR                      RSV28_SCR_0
#define SCRATCH_SECURE_RSV28_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV28_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV28_SCRATCH
#define SCRATCH_SECURE_RSV28_SCRATCH                    _MK_ADDR_CONST(0x144)
#define SCRATCH_SECURE_RSV28_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_SCR                        RSV28_SCR_0
#define SCRATCH_SECURE_RSV28_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV28_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV28_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV28_SCRATCH_1
#define SCRATCH_SECURE_RSV28_SCRATCH_1                  _MK_ADDR_CONST(0x148)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_1_SCR                      RSV28_SCR_0
#define SCRATCH_SECURE_RSV28_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV28_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV28_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV29_SCRATCH_0
#define SCRATCH_SECURE_RSV29_SCRATCH_0                  _MK_ADDR_CONST(0x14c)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_0_SCR                      RSV29_SCR_0
#define SCRATCH_SECURE_RSV29_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV29_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV29_SCRATCH
#define SCRATCH_SECURE_RSV29_SCRATCH                    _MK_ADDR_CONST(0x14c)
#define SCRATCH_SECURE_RSV29_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_SCR                        RSV29_SCR_0
#define SCRATCH_SECURE_RSV29_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV29_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV29_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV29_SCRATCH_1
#define SCRATCH_SECURE_RSV29_SCRATCH_1                  _MK_ADDR_CONST(0x150)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_1_SCR                      RSV29_SCR_0
#define SCRATCH_SECURE_RSV29_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV29_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV29_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV30_SCRATCH_0
#define SCRATCH_SECURE_RSV30_SCRATCH_0                  _MK_ADDR_CONST(0x154)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_0_SCR                      RSV30_SCR_0
#define SCRATCH_SECURE_RSV30_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV30_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV30_SCRATCH
#define SCRATCH_SECURE_RSV30_SCRATCH                    _MK_ADDR_CONST(0x154)
#define SCRATCH_SECURE_RSV30_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_SCR                        RSV30_SCR_0
#define SCRATCH_SECURE_RSV30_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV30_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV30_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV30_SCRATCH_1
#define SCRATCH_SECURE_RSV30_SCRATCH_1                  _MK_ADDR_CONST(0x158)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_1_SCR                      RSV30_SCR_0
#define SCRATCH_SECURE_RSV30_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV30_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV30_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV31_SCRATCH_0
#define SCRATCH_SECURE_RSV31_SCRATCH_0                  _MK_ADDR_CONST(0x15c)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_0_SCR                      RSV31_SCR_0
#define SCRATCH_SECURE_RSV31_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV31_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV31_SCRATCH
#define SCRATCH_SECURE_RSV31_SCRATCH                    _MK_ADDR_CONST(0x15c)
#define SCRATCH_SECURE_RSV31_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_SCR                        RSV31_SCR_0
#define SCRATCH_SECURE_RSV31_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV31_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV31_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV31_SCRATCH_1
#define SCRATCH_SECURE_RSV31_SCRATCH_1                  _MK_ADDR_CONST(0x160)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_1_SCR                      RSV31_SCR_0
#define SCRATCH_SECURE_RSV31_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV31_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV31_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV32_SCRATCH_0
#define SCRATCH_SECURE_RSV32_SCRATCH_0                  _MK_ADDR_CONST(0x164)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_0_SCR                      RSV32_SCR_0
#define SCRATCH_SECURE_RSV32_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV32_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV32_SCRATCH
#define SCRATCH_SECURE_RSV32_SCRATCH                    _MK_ADDR_CONST(0x164)
#define SCRATCH_SECURE_RSV32_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_SCR                        RSV32_SCR_0
#define SCRATCH_SECURE_RSV32_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV32_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV32_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV32_SCRATCH_1
#define SCRATCH_SECURE_RSV32_SCRATCH_1                  _MK_ADDR_CONST(0x168)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_1_SCR                      RSV32_SCR_0
#define SCRATCH_SECURE_RSV32_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV32_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV32_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV33_SCRATCH_0
#define SCRATCH_SECURE_RSV33_SCRATCH_0                  _MK_ADDR_CONST(0x16c)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_0_SCR                      RSV33_SCR_0
#define SCRATCH_SECURE_RSV33_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV33_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV33_SCRATCH
#define SCRATCH_SECURE_RSV33_SCRATCH                    _MK_ADDR_CONST(0x16c)
#define SCRATCH_SECURE_RSV33_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_SCR                        RSV33_SCR_0
#define SCRATCH_SECURE_RSV33_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV33_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV33_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV33_SCRATCH_1
#define SCRATCH_SECURE_RSV33_SCRATCH_1                  _MK_ADDR_CONST(0x170)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_1_SCR                      RSV33_SCR_0
#define SCRATCH_SECURE_RSV33_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV33_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV33_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV34_SCRATCH_0
#define SCRATCH_SECURE_RSV34_SCRATCH_0                  _MK_ADDR_CONST(0x174)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_0_SCR                      RSV34_SCR_0
#define SCRATCH_SECURE_RSV34_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV34_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV34_SCRATCH
#define SCRATCH_SECURE_RSV34_SCRATCH                    _MK_ADDR_CONST(0x174)
#define SCRATCH_SECURE_RSV34_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_SCR                        RSV34_SCR_0
#define SCRATCH_SECURE_RSV34_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV34_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV34_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV34_SCRATCH_1
#define SCRATCH_SECURE_RSV34_SCRATCH_1                  _MK_ADDR_CONST(0x178)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_1_SCR                      RSV34_SCR_0
#define SCRATCH_SECURE_RSV34_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV34_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV34_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV35_SCRATCH_0
#define SCRATCH_SECURE_RSV35_SCRATCH_0                  _MK_ADDR_CONST(0x17c)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_0_SCR                      RSV35_SCR_0
#define SCRATCH_SECURE_RSV35_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV35_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV35_SCRATCH
#define SCRATCH_SECURE_RSV35_SCRATCH                    _MK_ADDR_CONST(0x17c)
#define SCRATCH_SECURE_RSV35_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_SCR                        RSV35_SCR_0
#define SCRATCH_SECURE_RSV35_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV35_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV35_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV35_SCRATCH_1
#define SCRATCH_SECURE_RSV35_SCRATCH_1                  _MK_ADDR_CONST(0x180)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_1_SCR                      RSV35_SCR_0
#define SCRATCH_SECURE_RSV35_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV35_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV35_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV36_SCRATCH_0
#define SCRATCH_SECURE_RSV36_SCRATCH_0                  _MK_ADDR_CONST(0x184)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_0_SCR                      RSV36_SCR_0
#define SCRATCH_SECURE_RSV36_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV36_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV36_SCRATCH
#define SCRATCH_SECURE_RSV36_SCRATCH                    _MK_ADDR_CONST(0x184)
#define SCRATCH_SECURE_RSV36_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_SCR                        RSV36_SCR_0
#define SCRATCH_SECURE_RSV36_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV36_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV36_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV36_SCRATCH_1
#define SCRATCH_SECURE_RSV36_SCRATCH_1                  _MK_ADDR_CONST(0x188)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_1_SCR                      RSV36_SCR_0
#define SCRATCH_SECURE_RSV36_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV36_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV36_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV37_SCRATCH_0
#define SCRATCH_SECURE_RSV37_SCRATCH_0                  _MK_ADDR_CONST(0x18c)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_0_SCR                      RSV37_SCR_0
#define SCRATCH_SECURE_RSV37_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV37_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV37_SCRATCH
#define SCRATCH_SECURE_RSV37_SCRATCH                    _MK_ADDR_CONST(0x18c)
#define SCRATCH_SECURE_RSV37_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_SCR                        RSV37_SCR_0
#define SCRATCH_SECURE_RSV37_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV37_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV37_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV37_SCRATCH_1
#define SCRATCH_SECURE_RSV37_SCRATCH_1                  _MK_ADDR_CONST(0x190)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_1_SCR                      RSV37_SCR_0
#define SCRATCH_SECURE_RSV37_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV37_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV37_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV38_SCRATCH_0
#define SCRATCH_SECURE_RSV38_SCRATCH_0                  _MK_ADDR_CONST(0x194)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_0_SCR                      RSV38_SCR_0
#define SCRATCH_SECURE_RSV38_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV38_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV38_SCRATCH
#define SCRATCH_SECURE_RSV38_SCRATCH                    _MK_ADDR_CONST(0x194)
#define SCRATCH_SECURE_RSV38_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_SCR                        RSV38_SCR_0
#define SCRATCH_SECURE_RSV38_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV38_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV38_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV38_SCRATCH_1
#define SCRATCH_SECURE_RSV38_SCRATCH_1                  _MK_ADDR_CONST(0x198)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_1_SCR                      RSV38_SCR_0
#define SCRATCH_SECURE_RSV38_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV38_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV38_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV39_SCRATCH_0
#define SCRATCH_SECURE_RSV39_SCRATCH_0                  _MK_ADDR_CONST(0x19c)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_0_SCR                      RSV39_SCR_0
#define SCRATCH_SECURE_RSV39_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV39_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV39_SCRATCH
#define SCRATCH_SECURE_RSV39_SCRATCH                    _MK_ADDR_CONST(0x19c)
#define SCRATCH_SECURE_RSV39_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_SCR                        RSV39_SCR_0
#define SCRATCH_SECURE_RSV39_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV39_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV39_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV39_SCRATCH_1
#define SCRATCH_SECURE_RSV39_SCRATCH_1                  _MK_ADDR_CONST(0x1a0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_1_SCR                      RSV39_SCR_0
#define SCRATCH_SECURE_RSV39_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV39_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV39_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV40_SCRATCH_0
#define SCRATCH_SECURE_RSV40_SCRATCH_0                  _MK_ADDR_CONST(0x1a4)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_0_SCR                      RSV40_SCR_0
#define SCRATCH_SECURE_RSV40_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV40_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV40_SCRATCH
#define SCRATCH_SECURE_RSV40_SCRATCH                    _MK_ADDR_CONST(0x1a4)
#define SCRATCH_SECURE_RSV40_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_SCR                        RSV40_SCR_0
#define SCRATCH_SECURE_RSV40_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV40_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV40_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV40_SCRATCH_1
#define SCRATCH_SECURE_RSV40_SCRATCH_1                  _MK_ADDR_CONST(0x1a8)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_1_SCR                      RSV40_SCR_0
#define SCRATCH_SECURE_RSV40_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV40_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV40_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV41_SCRATCH_0
#define SCRATCH_SECURE_RSV41_SCRATCH_0                  _MK_ADDR_CONST(0x1ac)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_0_SCR                      RSV41_SCR_0
#define SCRATCH_SECURE_RSV41_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV41_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV41_SCRATCH
#define SCRATCH_SECURE_RSV41_SCRATCH                    _MK_ADDR_CONST(0x1ac)
#define SCRATCH_SECURE_RSV41_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_SCR                        RSV41_SCR_0
#define SCRATCH_SECURE_RSV41_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV41_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV41_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV41_SCRATCH_1
#define SCRATCH_SECURE_RSV41_SCRATCH_1                  _MK_ADDR_CONST(0x1b0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_1_SCR                      RSV41_SCR_0
#define SCRATCH_SECURE_RSV41_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV41_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV41_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV42_SCRATCH_0
#define SCRATCH_SECURE_RSV42_SCRATCH_0                  _MK_ADDR_CONST(0x1b4)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_0_SCR                      RSV42_SCR_0
#define SCRATCH_SECURE_RSV42_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV42_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV42_SCRATCH
#define SCRATCH_SECURE_RSV42_SCRATCH                    _MK_ADDR_CONST(0x1b4)
#define SCRATCH_SECURE_RSV42_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_SCR                        RSV42_SCR_0
#define SCRATCH_SECURE_RSV42_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV42_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV42_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV42_SCRATCH_1
#define SCRATCH_SECURE_RSV42_SCRATCH_1                  _MK_ADDR_CONST(0x1b8)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_1_SCR                      RSV42_SCR_0
#define SCRATCH_SECURE_RSV42_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV42_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV42_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV43_SCRATCH_0
#define SCRATCH_SECURE_RSV43_SCRATCH_0                  _MK_ADDR_CONST(0x1bc)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_0_SCR                      RSV43_SCR_0
#define SCRATCH_SECURE_RSV43_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV43_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV43_SCRATCH
#define SCRATCH_SECURE_RSV43_SCRATCH                    _MK_ADDR_CONST(0x1bc)
#define SCRATCH_SECURE_RSV43_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_SCR                        RSV43_SCR_0
#define SCRATCH_SECURE_RSV43_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV43_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV43_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV43_SCRATCH_1
#define SCRATCH_SECURE_RSV43_SCRATCH_1                  _MK_ADDR_CONST(0x1c0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_1_SCR                      RSV43_SCR_0
#define SCRATCH_SECURE_RSV43_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV43_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV43_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV44_SCRATCH_0
#define SCRATCH_SECURE_RSV44_SCRATCH_0                  _MK_ADDR_CONST(0x1c4)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_0_SCR                      RSV44_SCR_0
#define SCRATCH_SECURE_RSV44_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV44_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV44_SCRATCH
#define SCRATCH_SECURE_RSV44_SCRATCH                    _MK_ADDR_CONST(0x1c4)
#define SCRATCH_SECURE_RSV44_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_SCR                        RSV44_SCR_0
#define SCRATCH_SECURE_RSV44_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV44_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV44_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV44_SCRATCH_1
#define SCRATCH_SECURE_RSV44_SCRATCH_1                  _MK_ADDR_CONST(0x1c8)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_1_SCR                      RSV44_SCR_0
#define SCRATCH_SECURE_RSV44_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV44_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV44_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV45_SCRATCH_0
#define SCRATCH_SECURE_RSV45_SCRATCH_0                  _MK_ADDR_CONST(0x1cc)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_0_SCR                      RSV45_SCR_0
#define SCRATCH_SECURE_RSV45_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV45_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV45_SCRATCH
#define SCRATCH_SECURE_RSV45_SCRATCH                    _MK_ADDR_CONST(0x1cc)
#define SCRATCH_SECURE_RSV45_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_SCR                        RSV45_SCR_0
#define SCRATCH_SECURE_RSV45_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV45_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV45_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV45_SCRATCH_1
#define SCRATCH_SECURE_RSV45_SCRATCH_1                  _MK_ADDR_CONST(0x1d0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_1_SCR                      RSV45_SCR_0
#define SCRATCH_SECURE_RSV45_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV45_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV45_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV46_SCRATCH_0
#define SCRATCH_SECURE_RSV46_SCRATCH_0                  _MK_ADDR_CONST(0x1d4)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_0_SCR                      RSV46_SCR_0
#define SCRATCH_SECURE_RSV46_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV46_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV46_SCRATCH
#define SCRATCH_SECURE_RSV46_SCRATCH                    _MK_ADDR_CONST(0x1d4)
#define SCRATCH_SECURE_RSV46_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_SCR                        RSV46_SCR_0
#define SCRATCH_SECURE_RSV46_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV46_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV46_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV46_SCRATCH_1
#define SCRATCH_SECURE_RSV46_SCRATCH_1                  _MK_ADDR_CONST(0x1d8)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_1_SCR                      RSV46_SCR_0
#define SCRATCH_SECURE_RSV46_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV46_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV46_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV47_SCRATCH_0
#define SCRATCH_SECURE_RSV47_SCRATCH_0                  _MK_ADDR_CONST(0x1dc)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_0_SCR                      RSV47_SCR_0
#define SCRATCH_SECURE_RSV47_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV47_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV47_SCRATCH
#define SCRATCH_SECURE_RSV47_SCRATCH                    _MK_ADDR_CONST(0x1dc)
#define SCRATCH_SECURE_RSV47_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_SCR                        RSV47_SCR_0
#define SCRATCH_SECURE_RSV47_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV47_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV47_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV47_SCRATCH_1
#define SCRATCH_SECURE_RSV47_SCRATCH_1                  _MK_ADDR_CONST(0x1e0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_1_SCR                      RSV47_SCR_0
#define SCRATCH_SECURE_RSV47_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV47_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV47_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV48_SCRATCH_0
#define SCRATCH_SECURE_RSV48_SCRATCH_0                  _MK_ADDR_CONST(0x1e4)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_0_SCR                      RSV48_SCR_0
#define SCRATCH_SECURE_RSV48_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV48_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV48_SCRATCH
#define SCRATCH_SECURE_RSV48_SCRATCH                    _MK_ADDR_CONST(0x1e4)
#define SCRATCH_SECURE_RSV48_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_SCR                        RSV48_SCR_0
#define SCRATCH_SECURE_RSV48_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV48_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV48_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV48_SCRATCH_1
#define SCRATCH_SECURE_RSV48_SCRATCH_1                  _MK_ADDR_CONST(0x1e8)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_1_SCR                      RSV48_SCR_0
#define SCRATCH_SECURE_RSV48_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV48_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV48_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV49_SCRATCH_0
#define SCRATCH_SECURE_RSV49_SCRATCH_0                  _MK_ADDR_CONST(0x1ec)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_0_SCR                      RSV49_SCR_0
#define SCRATCH_SECURE_RSV49_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV49_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV49_SCRATCH
#define SCRATCH_SECURE_RSV49_SCRATCH                    _MK_ADDR_CONST(0x1ec)
#define SCRATCH_SECURE_RSV49_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_SCR                        RSV49_SCR_0
#define SCRATCH_SECURE_RSV49_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV49_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV49_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV49_SCRATCH_1
#define SCRATCH_SECURE_RSV49_SCRATCH_1                  _MK_ADDR_CONST(0x1f0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_1_SCR                      RSV49_SCR_0
#define SCRATCH_SECURE_RSV49_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV49_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV49_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV50_SCRATCH_0
#define SCRATCH_SECURE_RSV50_SCRATCH_0                  _MK_ADDR_CONST(0x1f4)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_0_SCR                      RSV50_SCR_0
#define SCRATCH_SECURE_RSV50_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV50_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV50_SCRATCH
#define SCRATCH_SECURE_RSV50_SCRATCH                    _MK_ADDR_CONST(0x1f4)
#define SCRATCH_SECURE_RSV50_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_SCR                        RSV50_SCR_0
#define SCRATCH_SECURE_RSV50_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV50_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV50_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV50_SCRATCH_1
#define SCRATCH_SECURE_RSV50_SCRATCH_1                  _MK_ADDR_CONST(0x1f8)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_1_SCR                      RSV50_SCR_0
#define SCRATCH_SECURE_RSV50_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV50_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV50_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV51_SCRATCH_0
#define SCRATCH_SECURE_RSV51_SCRATCH_0                  _MK_ADDR_CONST(0x1fc)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_0_SCR                      RSV51_SCR_0
#define SCRATCH_SECURE_RSV51_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV51_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV51_SCRATCH
#define SCRATCH_SECURE_RSV51_SCRATCH                    _MK_ADDR_CONST(0x1fc)
#define SCRATCH_SECURE_RSV51_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_SCR                        RSV51_SCR_0
#define SCRATCH_SECURE_RSV51_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV51_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV51_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV51_SCRATCH_1
#define SCRATCH_SECURE_RSV51_SCRATCH_1                  _MK_ADDR_CONST(0x200)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_1_SCR                      RSV51_SCR_0
#define SCRATCH_SECURE_RSV51_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV51_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV51_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV52_SCRATCH_0
#define SCRATCH_SECURE_RSV52_SCRATCH_0                  _MK_ADDR_CONST(0x204)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_0_SCR                      RSV52_SCR_0
#define SCRATCH_SECURE_RSV52_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV52_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV52_SCRATCH
#define SCRATCH_SECURE_RSV52_SCRATCH                    _MK_ADDR_CONST(0x204)
#define SCRATCH_SECURE_RSV52_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_SCR                        RSV52_SCR_0
#define SCRATCH_SECURE_RSV52_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV52_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV52_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV52_SCRATCH_1
#define SCRATCH_SECURE_RSV52_SCRATCH_1                  _MK_ADDR_CONST(0x208)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_1_SCR                      RSV52_SCR_0
#define SCRATCH_SECURE_RSV52_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV52_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV52_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV53_SCRATCH_0
#define SCRATCH_SECURE_RSV53_SCRATCH_0                  _MK_ADDR_CONST(0x20c)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_0_SCR                      RSV53_SCR_0
#define SCRATCH_SECURE_RSV53_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV53_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV53_SCRATCH
#define SCRATCH_SECURE_RSV53_SCRATCH                    _MK_ADDR_CONST(0x20c)
#define SCRATCH_SECURE_RSV53_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_SCR                        RSV53_SCR_0
#define SCRATCH_SECURE_RSV53_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV53_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV53_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV53_SCRATCH_1
#define SCRATCH_SECURE_RSV53_SCRATCH_1                  _MK_ADDR_CONST(0x210)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_1_SCR                      RSV53_SCR_0
#define SCRATCH_SECURE_RSV53_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV53_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV53_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV54_SCRATCH_0
#define SCRATCH_SECURE_RSV54_SCRATCH_0                  _MK_ADDR_CONST(0x214)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_0_SCR                      RSV54_SCR_0
#define SCRATCH_SECURE_RSV54_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV54_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV54_SCRATCH
#define SCRATCH_SECURE_RSV54_SCRATCH                    _MK_ADDR_CONST(0x214)
#define SCRATCH_SECURE_RSV54_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_SCR                        RSV54_SCR_0
#define SCRATCH_SECURE_RSV54_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV54_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV54_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV54_SCRATCH_1
#define SCRATCH_SECURE_RSV54_SCRATCH_1                  _MK_ADDR_CONST(0x218)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_1_SCR                      RSV54_SCR_0
#define SCRATCH_SECURE_RSV54_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV54_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV54_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV55_SCRATCH_0
#define SCRATCH_SECURE_RSV55_SCRATCH_0                  _MK_ADDR_CONST(0x21c)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_0_SCR                      RSV55_SCR_0
#define SCRATCH_SECURE_RSV55_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV55_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV55_SCRATCH
#define SCRATCH_SECURE_RSV55_SCRATCH                    _MK_ADDR_CONST(0x21c)
#define SCRATCH_SECURE_RSV55_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_SCR                        RSV55_SCR_0
#define SCRATCH_SECURE_RSV55_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV55_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV55_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV55_SCRATCH_1
#define SCRATCH_SECURE_RSV55_SCRATCH_1                  _MK_ADDR_CONST(0x220)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_1_SCR                      RSV55_SCR_0
#define SCRATCH_SECURE_RSV55_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV55_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV55_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV56_SCRATCH_0
#define SCRATCH_SECURE_RSV56_SCRATCH_0                  _MK_ADDR_CONST(0x224)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_0_SCR                      RSV56_SCR_0
#define SCRATCH_SECURE_RSV56_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV56_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV56_SCRATCH
#define SCRATCH_SECURE_RSV56_SCRATCH                    _MK_ADDR_CONST(0x224)
#define SCRATCH_SECURE_RSV56_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_SCR                        RSV56_SCR_0
#define SCRATCH_SECURE_RSV56_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV56_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV56_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV56_SCRATCH_1
#define SCRATCH_SECURE_RSV56_SCRATCH_1                  _MK_ADDR_CONST(0x228)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_1_SCR                      RSV56_SCR_0
#define SCRATCH_SECURE_RSV56_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV56_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV56_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV57_SCRATCH_0
#define SCRATCH_SECURE_RSV57_SCRATCH_0                  _MK_ADDR_CONST(0x22c)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_0_SCR                      RSV57_SCR_0
#define SCRATCH_SECURE_RSV57_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV57_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV57_SCRATCH
#define SCRATCH_SECURE_RSV57_SCRATCH                    _MK_ADDR_CONST(0x22c)
#define SCRATCH_SECURE_RSV57_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_SCR                        RSV57_SCR_0
#define SCRATCH_SECURE_RSV57_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV57_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV57_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV57_SCRATCH_1
#define SCRATCH_SECURE_RSV57_SCRATCH_1                  _MK_ADDR_CONST(0x230)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_1_SCR                      RSV57_SCR_0
#define SCRATCH_SECURE_RSV57_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV57_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV57_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV58_SCRATCH_0
#define SCRATCH_SECURE_RSV58_SCRATCH_0                  _MK_ADDR_CONST(0x234)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_0_SCR                      RSV58_SCR_0
#define SCRATCH_SECURE_RSV58_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV58_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV58_SCRATCH
#define SCRATCH_SECURE_RSV58_SCRATCH                    _MK_ADDR_CONST(0x234)
#define SCRATCH_SECURE_RSV58_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_SCR                        RSV58_SCR_0
#define SCRATCH_SECURE_RSV58_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV58_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV58_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV58_SCRATCH_1
#define SCRATCH_SECURE_RSV58_SCRATCH_1                  _MK_ADDR_CONST(0x238)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_1_SCR                      RSV58_SCR_0
#define SCRATCH_SECURE_RSV58_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV58_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV58_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV59_SCRATCH_0
#define SCRATCH_SECURE_RSV59_SCRATCH_0                  _MK_ADDR_CONST(0x23c)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_0_SCR                      RSV59_SCR_0
#define SCRATCH_SECURE_RSV59_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV59_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV59_SCRATCH
#define SCRATCH_SECURE_RSV59_SCRATCH                    _MK_ADDR_CONST(0x23c)
#define SCRATCH_SECURE_RSV59_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_SCR                        RSV59_SCR_0
#define SCRATCH_SECURE_RSV59_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV59_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV59_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV59_SCRATCH_1
#define SCRATCH_SECURE_RSV59_SCRATCH_1                  _MK_ADDR_CONST(0x240)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_1_SCR                      RSV59_SCR_0
#define SCRATCH_SECURE_RSV59_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV59_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV59_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV60_SCRATCH_0
#define SCRATCH_SECURE_RSV60_SCRATCH_0                  _MK_ADDR_CONST(0x244)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_0_SCR                      RSV60_SCR_0
#define SCRATCH_SECURE_RSV60_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV60_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV60_SCRATCH
#define SCRATCH_SECURE_RSV60_SCRATCH                    _MK_ADDR_CONST(0x244)
#define SCRATCH_SECURE_RSV60_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_SCR                        RSV60_SCR_0
#define SCRATCH_SECURE_RSV60_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV60_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV60_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV60_SCRATCH_1
#define SCRATCH_SECURE_RSV60_SCRATCH_1                  _MK_ADDR_CONST(0x248)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_1_SCR                      RSV60_SCR_0
#define SCRATCH_SECURE_RSV60_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV60_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV60_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV61_SCRATCH_0
#define SCRATCH_SECURE_RSV61_SCRATCH_0                  _MK_ADDR_CONST(0x24c)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_0_SCR                      RSV61_SCR_0
#define SCRATCH_SECURE_RSV61_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV61_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV61_SCRATCH
#define SCRATCH_SECURE_RSV61_SCRATCH                    _MK_ADDR_CONST(0x24c)
#define SCRATCH_SECURE_RSV61_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_SCR                        RSV61_SCR_0
#define SCRATCH_SECURE_RSV61_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV61_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV61_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV61_SCRATCH_1
#define SCRATCH_SECURE_RSV61_SCRATCH_1                  _MK_ADDR_CONST(0x250)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_1_SCR                      RSV61_SCR_0
#define SCRATCH_SECURE_RSV61_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV61_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV61_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV62_SCRATCH_0
#define SCRATCH_SECURE_RSV62_SCRATCH_0                  _MK_ADDR_CONST(0x254)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_0_SCR                      RSV62_SCR_0
#define SCRATCH_SECURE_RSV62_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV62_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV62_SCRATCH
#define SCRATCH_SECURE_RSV62_SCRATCH                    _MK_ADDR_CONST(0x254)
#define SCRATCH_SECURE_RSV62_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_SCR                        RSV62_SCR_0
#define SCRATCH_SECURE_RSV62_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV62_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV62_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV62_SCRATCH_1
#define SCRATCH_SECURE_RSV62_SCRATCH_1                  _MK_ADDR_CONST(0x258)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_1_SCR                      RSV62_SCR_0
#define SCRATCH_SECURE_RSV62_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV62_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV62_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV63_SCRATCH_0
#define SCRATCH_SECURE_RSV63_SCRATCH_0                  _MK_ADDR_CONST(0x25c)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_0_SCR                      RSV63_SCR_0
#define SCRATCH_SECURE_RSV63_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV63_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV63_SCRATCH
#define SCRATCH_SECURE_RSV63_SCRATCH                    _MK_ADDR_CONST(0x25c)
#define SCRATCH_SECURE_RSV63_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_SCR                        RSV63_SCR_0
#define SCRATCH_SECURE_RSV63_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV63_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV63_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV63_SCRATCH_1
#define SCRATCH_SECURE_RSV63_SCRATCH_1                  _MK_ADDR_CONST(0x260)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_1_SCR                      RSV63_SCR_0
#define SCRATCH_SECURE_RSV63_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV63_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV63_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV64_SCRATCH_0
#define SCRATCH_SECURE_RSV64_SCRATCH_0                  _MK_ADDR_CONST(0x264)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_0_SCR                      RSV64_SCR_0
#define SCRATCH_SECURE_RSV64_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV64_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV64_SCRATCH
#define SCRATCH_SECURE_RSV64_SCRATCH                    _MK_ADDR_CONST(0x264)
#define SCRATCH_SECURE_RSV64_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_SCR                        RSV64_SCR_0
#define SCRATCH_SECURE_RSV64_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV64_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV64_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV64_SCRATCH_1
#define SCRATCH_SECURE_RSV64_SCRATCH_1                  _MK_ADDR_CONST(0x268)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_1_SCR                      RSV64_SCR_0
#define SCRATCH_SECURE_RSV64_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV64_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV64_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV65_SCRATCH_0
#define SCRATCH_SECURE_RSV65_SCRATCH_0                  _MK_ADDR_CONST(0x26c)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_0_SCR                      RSV65_SCR_0
#define SCRATCH_SECURE_RSV65_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV65_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV65_SCRATCH
#define SCRATCH_SECURE_RSV65_SCRATCH                    _MK_ADDR_CONST(0x26c)
#define SCRATCH_SECURE_RSV65_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_SCR                        RSV65_SCR_0
#define SCRATCH_SECURE_RSV65_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV65_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV65_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV65_SCRATCH_1
#define SCRATCH_SECURE_RSV65_SCRATCH_1                  _MK_ADDR_CONST(0x270)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_1_SCR                      RSV65_SCR_0
#define SCRATCH_SECURE_RSV65_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV65_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV65_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV66_SCRATCH_0
#define SCRATCH_SECURE_RSV66_SCRATCH_0                  _MK_ADDR_CONST(0x274)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_0_SCR                      RSV66_SCR_0
#define SCRATCH_SECURE_RSV66_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV66_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV66_SCRATCH
#define SCRATCH_SECURE_RSV66_SCRATCH                    _MK_ADDR_CONST(0x274)
#define SCRATCH_SECURE_RSV66_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_SCR                        RSV66_SCR_0
#define SCRATCH_SECURE_RSV66_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV66_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV66_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV66_SCRATCH_1
#define SCRATCH_SECURE_RSV66_SCRATCH_1                  _MK_ADDR_CONST(0x278)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_1_SCR                      RSV66_SCR_0
#define SCRATCH_SECURE_RSV66_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV66_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV66_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV67_SCRATCH_0
#define SCRATCH_SECURE_RSV67_SCRATCH_0                  _MK_ADDR_CONST(0x27c)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_0_SCR                      RSV67_SCR_0
#define SCRATCH_SECURE_RSV67_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV67_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV67_SCRATCH
#define SCRATCH_SECURE_RSV67_SCRATCH                    _MK_ADDR_CONST(0x27c)
#define SCRATCH_SECURE_RSV67_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_SCR                        RSV67_SCR_0
#define SCRATCH_SECURE_RSV67_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV67_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV67_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV67_SCRATCH_1
#define SCRATCH_SECURE_RSV67_SCRATCH_1                  _MK_ADDR_CONST(0x280)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_1_SCR                      RSV67_SCR_0
#define SCRATCH_SECURE_RSV67_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV67_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV67_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV68_SCRATCH_0
#define SCRATCH_SECURE_RSV68_SCRATCH_0                  _MK_ADDR_CONST(0x284)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_0_SCR                      RSV68_SCR_0
#define SCRATCH_SECURE_RSV68_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV68_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV68_SCRATCH
#define SCRATCH_SECURE_RSV68_SCRATCH                    _MK_ADDR_CONST(0x284)
#define SCRATCH_SECURE_RSV68_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_SCR                        RSV68_SCR_0
#define SCRATCH_SECURE_RSV68_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV68_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV68_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV68_SCRATCH_1
#define SCRATCH_SECURE_RSV68_SCRATCH_1                  _MK_ADDR_CONST(0x288)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_1_SCR                      RSV68_SCR_0
#define SCRATCH_SECURE_RSV68_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV68_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV68_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV69_SCRATCH_0
#define SCRATCH_SECURE_RSV69_SCRATCH_0                  _MK_ADDR_CONST(0x28c)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_0_SCR                      RSV69_SCR_0
#define SCRATCH_SECURE_RSV69_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV69_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV69_SCRATCH
#define SCRATCH_SECURE_RSV69_SCRATCH                    _MK_ADDR_CONST(0x28c)
#define SCRATCH_SECURE_RSV69_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_SCR                        RSV69_SCR_0
#define SCRATCH_SECURE_RSV69_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV69_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV69_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV69_SCRATCH_1
#define SCRATCH_SECURE_RSV69_SCRATCH_1                  _MK_ADDR_CONST(0x290)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_1_SCR                      RSV69_SCR_0
#define SCRATCH_SECURE_RSV69_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV69_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV69_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV70_SCRATCH_0
#define SCRATCH_SECURE_RSV70_SCRATCH_0                  _MK_ADDR_CONST(0x294)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_0_SCR                      RSV70_SCR_0
#define SCRATCH_SECURE_RSV70_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV70_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV70_SCRATCH
#define SCRATCH_SECURE_RSV70_SCRATCH                    _MK_ADDR_CONST(0x294)
#define SCRATCH_SECURE_RSV70_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_SCR                        RSV70_SCR_0
#define SCRATCH_SECURE_RSV70_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV70_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV70_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV70_SCRATCH_1
#define SCRATCH_SECURE_RSV70_SCRATCH_1                  _MK_ADDR_CONST(0x298)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_1_SCR                      RSV70_SCR_0
#define SCRATCH_SECURE_RSV70_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV70_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV70_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV71_SCRATCH_0
#define SCRATCH_SECURE_RSV71_SCRATCH_0                  _MK_ADDR_CONST(0x29c)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_0_SCR                      RSV71_SCR_0
#define SCRATCH_SECURE_RSV71_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV71_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV71_SCRATCH
#define SCRATCH_SECURE_RSV71_SCRATCH                    _MK_ADDR_CONST(0x29c)
#define SCRATCH_SECURE_RSV71_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_SCR                        RSV71_SCR_0
#define SCRATCH_SECURE_RSV71_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV71_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV71_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV71_SCRATCH_1
#define SCRATCH_SECURE_RSV71_SCRATCH_1                  _MK_ADDR_CONST(0x2a0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_1_SCR                      RSV71_SCR_0
#define SCRATCH_SECURE_RSV71_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV71_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV71_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV72_SCRATCH_0
#define SCRATCH_SECURE_RSV72_SCRATCH_0                  _MK_ADDR_CONST(0x2a4)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_0_SCR                      RSV72_SCR_0
#define SCRATCH_SECURE_RSV72_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV72_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV72_SCRATCH
#define SCRATCH_SECURE_RSV72_SCRATCH                    _MK_ADDR_CONST(0x2a4)
#define SCRATCH_SECURE_RSV72_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_SCR                        RSV72_SCR_0
#define SCRATCH_SECURE_RSV72_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV72_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV72_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV72_SCRATCH_1
#define SCRATCH_SECURE_RSV72_SCRATCH_1                  _MK_ADDR_CONST(0x2a8)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_1_SCR                      RSV72_SCR_0
#define SCRATCH_SECURE_RSV72_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV72_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV72_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV73_SCRATCH_0
#define SCRATCH_SECURE_RSV73_SCRATCH_0                  _MK_ADDR_CONST(0x2ac)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_0_SCR                      RSV73_SCR_0
#define SCRATCH_SECURE_RSV73_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV73_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV73_SCRATCH
#define SCRATCH_SECURE_RSV73_SCRATCH                    _MK_ADDR_CONST(0x2ac)
#define SCRATCH_SECURE_RSV73_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_SCR                        RSV73_SCR_0
#define SCRATCH_SECURE_RSV73_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV73_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV73_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV73_SCRATCH_1
#define SCRATCH_SECURE_RSV73_SCRATCH_1                  _MK_ADDR_CONST(0x2b0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_1_SCR                      RSV73_SCR_0
#define SCRATCH_SECURE_RSV73_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV73_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV73_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV74_SCRATCH_0
#define SCRATCH_SECURE_RSV74_SCRATCH_0                  _MK_ADDR_CONST(0x2b4)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_0_SCR                      RSV74_SCR_0
#define SCRATCH_SECURE_RSV74_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV74_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV74_SCRATCH
#define SCRATCH_SECURE_RSV74_SCRATCH                    _MK_ADDR_CONST(0x2b4)
#define SCRATCH_SECURE_RSV74_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_SCR                        RSV74_SCR_0
#define SCRATCH_SECURE_RSV74_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV74_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV74_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV74_SCRATCH_1
#define SCRATCH_SECURE_RSV74_SCRATCH_1                  _MK_ADDR_CONST(0x2b8)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_1_SCR                      RSV74_SCR_0
#define SCRATCH_SECURE_RSV74_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV74_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV74_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV75_SCRATCH_0
#define SCRATCH_SECURE_RSV75_SCRATCH_0                  _MK_ADDR_CONST(0x2bc)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_0_SCR                      RSV75_SCR_0
#define SCRATCH_SECURE_RSV75_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV75_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV75_SCRATCH
#define SCRATCH_SECURE_RSV75_SCRATCH                    _MK_ADDR_CONST(0x2bc)
#define SCRATCH_SECURE_RSV75_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_SCR                        RSV75_SCR_0
#define SCRATCH_SECURE_RSV75_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV75_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV75_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV75_SCRATCH_1
#define SCRATCH_SECURE_RSV75_SCRATCH_1                  _MK_ADDR_CONST(0x2c0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_1_SCR                      RSV75_SCR_0
#define SCRATCH_SECURE_RSV75_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV75_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV75_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV76_SCRATCH_0
#define SCRATCH_SECURE_RSV76_SCRATCH_0                  _MK_ADDR_CONST(0x2c4)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_0_SCR                      RSV76_SCR_0
#define SCRATCH_SECURE_RSV76_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV76_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV76_SCRATCH
#define SCRATCH_SECURE_RSV76_SCRATCH                    _MK_ADDR_CONST(0x2c4)
#define SCRATCH_SECURE_RSV76_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_SCR                        RSV76_SCR_0
#define SCRATCH_SECURE_RSV76_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV76_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV76_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV76_SCRATCH_1
#define SCRATCH_SECURE_RSV76_SCRATCH_1                  _MK_ADDR_CONST(0x2c8)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_1_SCR                      RSV76_SCR_0
#define SCRATCH_SECURE_RSV76_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV76_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV76_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV77_SCRATCH_0
#define SCRATCH_SECURE_RSV77_SCRATCH_0                  _MK_ADDR_CONST(0x2cc)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_0_SCR                      RSV77_SCR_0
#define SCRATCH_SECURE_RSV77_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV77_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV77_SCRATCH
#define SCRATCH_SECURE_RSV77_SCRATCH                    _MK_ADDR_CONST(0x2cc)
#define SCRATCH_SECURE_RSV77_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_SCR                        RSV77_SCR_0
#define SCRATCH_SECURE_RSV77_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV77_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV77_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV77_SCRATCH_1
#define SCRATCH_SECURE_RSV77_SCRATCH_1                  _MK_ADDR_CONST(0x2d0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_1_SCR                      RSV77_SCR_0
#define SCRATCH_SECURE_RSV77_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV77_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV77_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV78_SCRATCH_0
#define SCRATCH_SECURE_RSV78_SCRATCH_0                  _MK_ADDR_CONST(0x2d4)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_0_SCR                      RSV78_SCR_0
#define SCRATCH_SECURE_RSV78_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV78_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV78_SCRATCH
#define SCRATCH_SECURE_RSV78_SCRATCH                    _MK_ADDR_CONST(0x2d4)
#define SCRATCH_SECURE_RSV78_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_SCR                        RSV78_SCR_0
#define SCRATCH_SECURE_RSV78_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV78_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV78_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV78_SCRATCH_1
#define SCRATCH_SECURE_RSV78_SCRATCH_1                  _MK_ADDR_CONST(0x2d8)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_1_SCR                      RSV78_SCR_0
#define SCRATCH_SECURE_RSV78_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV78_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV78_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV79_SCRATCH_0
#define SCRATCH_SECURE_RSV79_SCRATCH_0                  _MK_ADDR_CONST(0x2dc)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_0_SCR                      RSV79_SCR_0
#define SCRATCH_SECURE_RSV79_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV79_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV79_SCRATCH
#define SCRATCH_SECURE_RSV79_SCRATCH                    _MK_ADDR_CONST(0x2dc)
#define SCRATCH_SECURE_RSV79_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_SCR                        RSV79_SCR_0
#define SCRATCH_SECURE_RSV79_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV79_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV79_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV79_SCRATCH_1
#define SCRATCH_SECURE_RSV79_SCRATCH_1                  _MK_ADDR_CONST(0x2e0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_1_SCR                      RSV79_SCR_0
#define SCRATCH_SECURE_RSV79_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV79_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV79_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV80_SCRATCH_0
#define SCRATCH_SECURE_RSV80_SCRATCH_0                  _MK_ADDR_CONST(0x2e4)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_0_SCR                      RSV80_SCR_0
#define SCRATCH_SECURE_RSV80_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV80_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV80_SCRATCH
#define SCRATCH_SECURE_RSV80_SCRATCH                    _MK_ADDR_CONST(0x2e4)
#define SCRATCH_SECURE_RSV80_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_SCR                        RSV80_SCR_0
#define SCRATCH_SECURE_RSV80_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV80_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV80_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV80_SCRATCH_1
#define SCRATCH_SECURE_RSV80_SCRATCH_1                  _MK_ADDR_CONST(0x2e8)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_1_SCR                      RSV80_SCR_0
#define SCRATCH_SECURE_RSV80_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV80_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV80_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV81_SCRATCH_0
#define SCRATCH_SECURE_RSV81_SCRATCH_0                  _MK_ADDR_CONST(0x2ec)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_0_SCR                      RSV81_SCR_0
#define SCRATCH_SECURE_RSV81_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV81_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV81_SCRATCH
#define SCRATCH_SECURE_RSV81_SCRATCH                    _MK_ADDR_CONST(0x2ec)
#define SCRATCH_SECURE_RSV81_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_SCR                        RSV81_SCR_0
#define SCRATCH_SECURE_RSV81_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV81_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV81_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV81_SCRATCH_1
#define SCRATCH_SECURE_RSV81_SCRATCH_1                  _MK_ADDR_CONST(0x2f0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_1_SCR                      RSV81_SCR_0
#define SCRATCH_SECURE_RSV81_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV81_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV81_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV82_SCRATCH_0
#define SCRATCH_SECURE_RSV82_SCRATCH_0                  _MK_ADDR_CONST(0x2f4)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_0_SCR                      RSV82_SCR_0
#define SCRATCH_SECURE_RSV82_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV82_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV82_SCRATCH
#define SCRATCH_SECURE_RSV82_SCRATCH                    _MK_ADDR_CONST(0x2f4)
#define SCRATCH_SECURE_RSV82_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_SCR                        RSV82_SCR_0
#define SCRATCH_SECURE_RSV82_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV82_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV82_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV82_SCRATCH_1
#define SCRATCH_SECURE_RSV82_SCRATCH_1                  _MK_ADDR_CONST(0x2f8)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_1_SCR                      RSV82_SCR_0
#define SCRATCH_SECURE_RSV82_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV82_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV82_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV83_SCRATCH_0
#define SCRATCH_SECURE_RSV83_SCRATCH_0                  _MK_ADDR_CONST(0x2fc)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_0_SCR                      RSV83_SCR_0
#define SCRATCH_SECURE_RSV83_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV83_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV83_SCRATCH
#define SCRATCH_SECURE_RSV83_SCRATCH                    _MK_ADDR_CONST(0x2fc)
#define SCRATCH_SECURE_RSV83_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_SCR                        RSV83_SCR_0
#define SCRATCH_SECURE_RSV83_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV83_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV83_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV83_SCRATCH_1
#define SCRATCH_SECURE_RSV83_SCRATCH_1                  _MK_ADDR_CONST(0x300)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_1_SCR                      RSV83_SCR_0
#define SCRATCH_SECURE_RSV83_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV83_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV83_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV84_SCRATCH_0
#define SCRATCH_SECURE_RSV84_SCRATCH_0                  _MK_ADDR_CONST(0x304)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_0_SCR                      RSV84_SCR_0
#define SCRATCH_SECURE_RSV84_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV84_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV84_SCRATCH
#define SCRATCH_SECURE_RSV84_SCRATCH                    _MK_ADDR_CONST(0x304)
#define SCRATCH_SECURE_RSV84_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_SCR                        RSV84_SCR_0
#define SCRATCH_SECURE_RSV84_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV84_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV84_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV84_SCRATCH_1
#define SCRATCH_SECURE_RSV84_SCRATCH_1                  _MK_ADDR_CONST(0x308)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_1_SCR                      RSV84_SCR_0
#define SCRATCH_SECURE_RSV84_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV84_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV84_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV85_SCRATCH_0
#define SCRATCH_SECURE_RSV85_SCRATCH_0                  _MK_ADDR_CONST(0x30c)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_0_SCR                      RSV85_SCR_0
#define SCRATCH_SECURE_RSV85_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV85_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV85_SCRATCH
#define SCRATCH_SECURE_RSV85_SCRATCH                    _MK_ADDR_CONST(0x30c)
#define SCRATCH_SECURE_RSV85_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_SCR                        RSV85_SCR_0
#define SCRATCH_SECURE_RSV85_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV85_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV85_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV85_SCRATCH_1
#define SCRATCH_SECURE_RSV85_SCRATCH_1                  _MK_ADDR_CONST(0x310)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_1_SCR                      RSV85_SCR_0
#define SCRATCH_SECURE_RSV85_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV85_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV85_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV86_SCRATCH_0
#define SCRATCH_SECURE_RSV86_SCRATCH_0                  _MK_ADDR_CONST(0x314)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_0_SCR                      RSV86_SCR_0
#define SCRATCH_SECURE_RSV86_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV86_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV86_SCRATCH
#define SCRATCH_SECURE_RSV86_SCRATCH                    _MK_ADDR_CONST(0x314)
#define SCRATCH_SECURE_RSV86_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_SCR                        RSV86_SCR_0
#define SCRATCH_SECURE_RSV86_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV86_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV86_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV86_SCRATCH_1
#define SCRATCH_SECURE_RSV86_SCRATCH_1                  _MK_ADDR_CONST(0x318)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_1_SCR                      RSV86_SCR_0
#define SCRATCH_SECURE_RSV86_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV86_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV86_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV87_SCRATCH_0
#define SCRATCH_SECURE_RSV87_SCRATCH_0                  _MK_ADDR_CONST(0x31c)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_0_SCR                      RSV87_SCR_0
#define SCRATCH_SECURE_RSV87_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV87_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV87_SCRATCH
#define SCRATCH_SECURE_RSV87_SCRATCH                    _MK_ADDR_CONST(0x31c)
#define SCRATCH_SECURE_RSV87_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_SCR                        RSV87_SCR_0
#define SCRATCH_SECURE_RSV87_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV87_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV87_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV87_SCRATCH_1
#define SCRATCH_SECURE_RSV87_SCRATCH_1                  _MK_ADDR_CONST(0x320)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_1_SCR                      RSV87_SCR_0
#define SCRATCH_SECURE_RSV87_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV87_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV87_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV88_SCRATCH_0
#define SCRATCH_SECURE_RSV88_SCRATCH_0                  _MK_ADDR_CONST(0x324)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_0_SCR                      RSV88_SCR_0
#define SCRATCH_SECURE_RSV88_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV88_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV88_SCRATCH
#define SCRATCH_SECURE_RSV88_SCRATCH                    _MK_ADDR_CONST(0x324)
#define SCRATCH_SECURE_RSV88_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_SCR                        RSV88_SCR_0
#define SCRATCH_SECURE_RSV88_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV88_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV88_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV88_SCRATCH_1
#define SCRATCH_SECURE_RSV88_SCRATCH_1                  _MK_ADDR_CONST(0x328)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_1_SCR                      RSV88_SCR_0
#define SCRATCH_SECURE_RSV88_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV88_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV88_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV89_SCRATCH_0
#define SCRATCH_SECURE_RSV89_SCRATCH_0                  _MK_ADDR_CONST(0x32c)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_0_SCR                      RSV89_SCR_0
#define SCRATCH_SECURE_RSV89_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV89_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV89_SCRATCH
#define SCRATCH_SECURE_RSV89_SCRATCH                    _MK_ADDR_CONST(0x32c)
#define SCRATCH_SECURE_RSV89_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_SCR                        RSV89_SCR_0
#define SCRATCH_SECURE_RSV89_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV89_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV89_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV89_SCRATCH_1
#define SCRATCH_SECURE_RSV89_SCRATCH_1                  _MK_ADDR_CONST(0x330)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_1_SCR                      RSV89_SCR_0
#define SCRATCH_SECURE_RSV89_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV89_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV89_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV90_SCRATCH_0
#define SCRATCH_SECURE_RSV90_SCRATCH_0                  _MK_ADDR_CONST(0x334)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_0_SCR                      RSV90_SCR_0
#define SCRATCH_SECURE_RSV90_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV90_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV90_SCRATCH
#define SCRATCH_SECURE_RSV90_SCRATCH                    _MK_ADDR_CONST(0x334)
#define SCRATCH_SECURE_RSV90_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_SCR                        RSV90_SCR_0
#define SCRATCH_SECURE_RSV90_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV90_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV90_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV90_SCRATCH_1
#define SCRATCH_SECURE_RSV90_SCRATCH_1                  _MK_ADDR_CONST(0x338)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_1_SCR                      RSV90_SCR_0
#define SCRATCH_SECURE_RSV90_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV90_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV90_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV91_SCRATCH_0
#define SCRATCH_SECURE_RSV91_SCRATCH_0                  _MK_ADDR_CONST(0x33c)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_0_SCR                      RSV91_SCR_0
#define SCRATCH_SECURE_RSV91_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV91_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV91_SCRATCH
#define SCRATCH_SECURE_RSV91_SCRATCH                    _MK_ADDR_CONST(0x33c)
#define SCRATCH_SECURE_RSV91_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_SCR                        RSV91_SCR_0
#define SCRATCH_SECURE_RSV91_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV91_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV91_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV91_SCRATCH_1
#define SCRATCH_SECURE_RSV91_SCRATCH_1                  _MK_ADDR_CONST(0x340)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_1_SCR                      RSV91_SCR_0
#define SCRATCH_SECURE_RSV91_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV91_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV91_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV92_SCRATCH_0
#define SCRATCH_SECURE_RSV92_SCRATCH_0                  _MK_ADDR_CONST(0x344)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_0_SCR                      RSV92_SCR_0
#define SCRATCH_SECURE_RSV92_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV92_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV92_SCRATCH
#define SCRATCH_SECURE_RSV92_SCRATCH                    _MK_ADDR_CONST(0x344)
#define SCRATCH_SECURE_RSV92_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_SCR                        RSV92_SCR_0
#define SCRATCH_SECURE_RSV92_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV92_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV92_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV92_SCRATCH_1
#define SCRATCH_SECURE_RSV92_SCRATCH_1                  _MK_ADDR_CONST(0x348)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_1_SCR                      RSV92_SCR_0
#define SCRATCH_SECURE_RSV92_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV92_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV92_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV93_SCRATCH_0
#define SCRATCH_SECURE_RSV93_SCRATCH_0                  _MK_ADDR_CONST(0x34c)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_0_SCR                      RSV93_SCR_0
#define SCRATCH_SECURE_RSV93_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV93_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV93_SCRATCH
#define SCRATCH_SECURE_RSV93_SCRATCH                    _MK_ADDR_CONST(0x34c)
#define SCRATCH_SECURE_RSV93_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_SCR                        RSV93_SCR_0
#define SCRATCH_SECURE_RSV93_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV93_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV93_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV93_SCRATCH_1
#define SCRATCH_SECURE_RSV93_SCRATCH_1                  _MK_ADDR_CONST(0x350)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_1_SCR                      RSV93_SCR_0
#define SCRATCH_SECURE_RSV93_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV93_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV93_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV94_SCRATCH_0
#define SCRATCH_SECURE_RSV94_SCRATCH_0                  _MK_ADDR_CONST(0x354)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_0_SCR                      RSV94_SCR_0
#define SCRATCH_SECURE_RSV94_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV94_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV94_SCRATCH
#define SCRATCH_SECURE_RSV94_SCRATCH                    _MK_ADDR_CONST(0x354)
#define SCRATCH_SECURE_RSV94_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_SCR                        RSV94_SCR_0
#define SCRATCH_SECURE_RSV94_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV94_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV94_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV94_SCRATCH_1
#define SCRATCH_SECURE_RSV94_SCRATCH_1                  _MK_ADDR_CONST(0x358)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_1_SCR                      RSV94_SCR_0
#define SCRATCH_SECURE_RSV94_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV94_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV94_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV95_SCRATCH_0
#define SCRATCH_SECURE_RSV95_SCRATCH_0                  _MK_ADDR_CONST(0x35c)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_0_SCR                      RSV95_SCR_0
#define SCRATCH_SECURE_RSV95_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV95_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV95_SCRATCH
#define SCRATCH_SECURE_RSV95_SCRATCH                    _MK_ADDR_CONST(0x35c)
#define SCRATCH_SECURE_RSV95_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_SCR                        RSV95_SCR_0
#define SCRATCH_SECURE_RSV95_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV95_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV95_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV95_SCRATCH_1
#define SCRATCH_SECURE_RSV95_SCRATCH_1                  _MK_ADDR_CONST(0x360)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_1_SCR                      RSV95_SCR_0
#define SCRATCH_SECURE_RSV95_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV95_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV95_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV96_SCRATCH_0
#define SCRATCH_SECURE_RSV96_SCRATCH_0                  _MK_ADDR_CONST(0x364)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_0_SCR                      RSV96_SCR_0
#define SCRATCH_SECURE_RSV96_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV96_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV96_SCRATCH
#define SCRATCH_SECURE_RSV96_SCRATCH                    _MK_ADDR_CONST(0x364)
#define SCRATCH_SECURE_RSV96_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_SCR                        RSV96_SCR_0
#define SCRATCH_SECURE_RSV96_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV96_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV96_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV96_SCRATCH_1
#define SCRATCH_SECURE_RSV96_SCRATCH_1                  _MK_ADDR_CONST(0x368)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_1_SCR                      RSV96_SCR_0
#define SCRATCH_SECURE_RSV96_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV96_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV96_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV97_SCRATCH_0
#define SCRATCH_SECURE_RSV97_SCRATCH_0                  _MK_ADDR_CONST(0x36c)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_0_SCR                      RSV97_SCR_0
#define SCRATCH_SECURE_RSV97_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV97_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV97_SCRATCH
#define SCRATCH_SECURE_RSV97_SCRATCH                    _MK_ADDR_CONST(0x36c)
#define SCRATCH_SECURE_RSV97_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_SCR                        RSV97_SCR_0
#define SCRATCH_SECURE_RSV97_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV97_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV97_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV97_SCRATCH_1
#define SCRATCH_SECURE_RSV97_SCRATCH_1                  _MK_ADDR_CONST(0x370)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_1_SCR                      RSV97_SCR_0
#define SCRATCH_SECURE_RSV97_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV97_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV97_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV98_SCRATCH_0
#define SCRATCH_SECURE_RSV98_SCRATCH_0                  _MK_ADDR_CONST(0x374)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_0_SCR                      RSV98_SCR_0
#define SCRATCH_SECURE_RSV98_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV98_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV98_SCRATCH
#define SCRATCH_SECURE_RSV98_SCRATCH                    _MK_ADDR_CONST(0x374)
#define SCRATCH_SECURE_RSV98_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_SCR                        RSV98_SCR_0
#define SCRATCH_SECURE_RSV98_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV98_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV98_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV98_SCRATCH_1
#define SCRATCH_SECURE_RSV98_SCRATCH_1                  _MK_ADDR_CONST(0x378)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_1_SCR                      RSV98_SCR_0
#define SCRATCH_SECURE_RSV98_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV98_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV98_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV99_SCRATCH_0
#define SCRATCH_SECURE_RSV99_SCRATCH_0                  _MK_ADDR_CONST(0x37c)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_SECURE                   0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DUAL                     0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_0_SCR                      RSV99_SCR_0
#define SCRATCH_SECURE_RSV99_SCRATCH_0_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV99_SCRATCH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_0_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV99_SCRATCH
#define SCRATCH_SECURE_RSV99_SCRATCH                    _MK_ADDR_CONST(0x37c)
#define SCRATCH_SECURE_RSV99_SCRATCH_SECURE                     0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_DUAL                       0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_SCR                        RSV99_SCR_0
#define SCRATCH_SECURE_RSV99_SCRATCH_WORD_COUNT                         0x1
#define SCRATCH_SECURE_RSV99_SCRATCH_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV99_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_RANGE                 31:0
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_WOFFSET                       0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV99_SCRATCH_1
#define SCRATCH_SECURE_RSV99_SCRATCH_1                  _MK_ADDR_CONST(0x380)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_SECURE                   0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DUAL                     0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_1_SCR                      RSV99_SCR_0
#define SCRATCH_SECURE_RSV99_SCRATCH_1_WORD_COUNT                       0x1
#define SCRATCH_SECURE_RSV99_SCRATCH_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_RANGE                       31:0
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_WOFFSET                     0x0
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV99_SCRATCH_1_DATA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV100_SCRATCH_0
#define SCRATCH_SECURE_RSV100_SCRATCH_0                 _MK_ADDR_CONST(0x384)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_0_SCR                     RSV100_SCR_0
#define SCRATCH_SECURE_RSV100_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV100_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV100_SCRATCH
#define SCRATCH_SECURE_RSV100_SCRATCH                   _MK_ADDR_CONST(0x384)
#define SCRATCH_SECURE_RSV100_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_SCR                       RSV100_SCR_0
#define SCRATCH_SECURE_RSV100_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV100_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV100_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV100_SCRATCH_1
#define SCRATCH_SECURE_RSV100_SCRATCH_1                 _MK_ADDR_CONST(0x388)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_1_SCR                     RSV100_SCR_0
#define SCRATCH_SECURE_RSV100_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV100_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV100_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV101_SCRATCH_0
#define SCRATCH_SECURE_RSV101_SCRATCH_0                 _MK_ADDR_CONST(0x38c)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_0_SCR                     RSV101_SCR_0
#define SCRATCH_SECURE_RSV101_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV101_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV101_SCRATCH
#define SCRATCH_SECURE_RSV101_SCRATCH                   _MK_ADDR_CONST(0x38c)
#define SCRATCH_SECURE_RSV101_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_SCR                       RSV101_SCR_0
#define SCRATCH_SECURE_RSV101_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV101_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV101_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV101_SCRATCH_1
#define SCRATCH_SECURE_RSV101_SCRATCH_1                 _MK_ADDR_CONST(0x390)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_1_SCR                     RSV101_SCR_0
#define SCRATCH_SECURE_RSV101_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV101_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV101_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV102_SCRATCH_0
#define SCRATCH_SECURE_RSV102_SCRATCH_0                 _MK_ADDR_CONST(0x394)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_0_SCR                     RSV102_SCR_0
#define SCRATCH_SECURE_RSV102_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV102_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV102_SCRATCH
#define SCRATCH_SECURE_RSV102_SCRATCH                   _MK_ADDR_CONST(0x394)
#define SCRATCH_SECURE_RSV102_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_SCR                       RSV102_SCR_0
#define SCRATCH_SECURE_RSV102_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV102_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV102_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV102_SCRATCH_1
#define SCRATCH_SECURE_RSV102_SCRATCH_1                 _MK_ADDR_CONST(0x398)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_1_SCR                     RSV102_SCR_0
#define SCRATCH_SECURE_RSV102_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV102_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV102_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV103_SCRATCH_0
#define SCRATCH_SECURE_RSV103_SCRATCH_0                 _MK_ADDR_CONST(0x39c)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_0_SCR                     RSV103_SCR_0
#define SCRATCH_SECURE_RSV103_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV103_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV103_SCRATCH
#define SCRATCH_SECURE_RSV103_SCRATCH                   _MK_ADDR_CONST(0x39c)
#define SCRATCH_SECURE_RSV103_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_SCR                       RSV103_SCR_0
#define SCRATCH_SECURE_RSV103_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV103_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV103_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV103_SCRATCH_1
#define SCRATCH_SECURE_RSV103_SCRATCH_1                 _MK_ADDR_CONST(0x3a0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_1_SCR                     RSV103_SCR_0
#define SCRATCH_SECURE_RSV103_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV103_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV103_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV104_SCRATCH_0
#define SCRATCH_SECURE_RSV104_SCRATCH_0                 _MK_ADDR_CONST(0x3a4)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_0_SCR                     RSV104_SCR_0
#define SCRATCH_SECURE_RSV104_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV104_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV104_SCRATCH
#define SCRATCH_SECURE_RSV104_SCRATCH                   _MK_ADDR_CONST(0x3a4)
#define SCRATCH_SECURE_RSV104_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_SCR                       RSV104_SCR_0
#define SCRATCH_SECURE_RSV104_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV104_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV104_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV104_SCRATCH_1
#define SCRATCH_SECURE_RSV104_SCRATCH_1                 _MK_ADDR_CONST(0x3a8)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_1_SCR                     RSV104_SCR_0
#define SCRATCH_SECURE_RSV104_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV104_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV104_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV105_SCRATCH_0
#define SCRATCH_SECURE_RSV105_SCRATCH_0                 _MK_ADDR_CONST(0x3ac)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_0_SCR                     RSV105_SCR_0
#define SCRATCH_SECURE_RSV105_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV105_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV105_SCRATCH
#define SCRATCH_SECURE_RSV105_SCRATCH                   _MK_ADDR_CONST(0x3ac)
#define SCRATCH_SECURE_RSV105_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_SCR                       RSV105_SCR_0
#define SCRATCH_SECURE_RSV105_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV105_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV105_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV105_SCRATCH_1
#define SCRATCH_SECURE_RSV105_SCRATCH_1                 _MK_ADDR_CONST(0x3b0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_1_SCR                     RSV105_SCR_0
#define SCRATCH_SECURE_RSV105_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV105_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV105_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV106_SCRATCH_0
#define SCRATCH_SECURE_RSV106_SCRATCH_0                 _MK_ADDR_CONST(0x3b4)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_0_SCR                     RSV106_SCR_0
#define SCRATCH_SECURE_RSV106_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV106_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV106_SCRATCH
#define SCRATCH_SECURE_RSV106_SCRATCH                   _MK_ADDR_CONST(0x3b4)
#define SCRATCH_SECURE_RSV106_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_SCR                       RSV106_SCR_0
#define SCRATCH_SECURE_RSV106_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV106_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV106_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV106_SCRATCH_1
#define SCRATCH_SECURE_RSV106_SCRATCH_1                 _MK_ADDR_CONST(0x3b8)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_1_SCR                     RSV106_SCR_0
#define SCRATCH_SECURE_RSV106_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV106_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV106_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV107_SCRATCH_0
#define SCRATCH_SECURE_RSV107_SCRATCH_0                 _MK_ADDR_CONST(0x3bc)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_0_SCR                     RSV107_SCR_0
#define SCRATCH_SECURE_RSV107_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV107_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV107_SCRATCH
#define SCRATCH_SECURE_RSV107_SCRATCH                   _MK_ADDR_CONST(0x3bc)
#define SCRATCH_SECURE_RSV107_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_SCR                       RSV107_SCR_0
#define SCRATCH_SECURE_RSV107_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV107_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV107_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV107_SCRATCH_1
#define SCRATCH_SECURE_RSV107_SCRATCH_1                 _MK_ADDR_CONST(0x3c0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_1_SCR                     RSV107_SCR_0
#define SCRATCH_SECURE_RSV107_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV107_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV107_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV108_SCRATCH_0
#define SCRATCH_SECURE_RSV108_SCRATCH_0                 _MK_ADDR_CONST(0x3c4)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_0_SCR                     RSV108_SCR_0
#define SCRATCH_SECURE_RSV108_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV108_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV108_SCRATCH
#define SCRATCH_SECURE_RSV108_SCRATCH                   _MK_ADDR_CONST(0x3c4)
#define SCRATCH_SECURE_RSV108_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_SCR                       RSV108_SCR_0
#define SCRATCH_SECURE_RSV108_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV108_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV108_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV108_SCRATCH_1
#define SCRATCH_SECURE_RSV108_SCRATCH_1                 _MK_ADDR_CONST(0x3c8)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_1_SCR                     RSV108_SCR_0
#define SCRATCH_SECURE_RSV108_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV108_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV108_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV109_SCRATCH_0
#define SCRATCH_SECURE_RSV109_SCRATCH_0                 _MK_ADDR_CONST(0x3cc)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_0_SCR                     RSV109_SCR_0
#define SCRATCH_SECURE_RSV109_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV109_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV109_SCRATCH
#define SCRATCH_SECURE_RSV109_SCRATCH                   _MK_ADDR_CONST(0x3cc)
#define SCRATCH_SECURE_RSV109_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_SCR                       RSV109_SCR_0
#define SCRATCH_SECURE_RSV109_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV109_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV109_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV109_SCRATCH_1
#define SCRATCH_SECURE_RSV109_SCRATCH_1                 _MK_ADDR_CONST(0x3d0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_1_SCR                     RSV109_SCR_0
#define SCRATCH_SECURE_RSV109_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV109_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV109_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV110_SCRATCH_0
#define SCRATCH_SECURE_RSV110_SCRATCH_0                 _MK_ADDR_CONST(0x3d4)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_SECURE                  0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DUAL                    0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_0_SCR                     RSV110_SCR_0
#define SCRATCH_SECURE_RSV110_SCRATCH_0_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV110_SCRATCH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_0_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV110_SCRATCH
#define SCRATCH_SECURE_RSV110_SCRATCH                   _MK_ADDR_CONST(0x3d4)
#define SCRATCH_SECURE_RSV110_SCRATCH_SECURE                    0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_DUAL                      0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_SCR                       RSV110_SCR_0
#define SCRATCH_SECURE_RSV110_SCRATCH_WORD_COUNT                        0x1
#define SCRATCH_SECURE_RSV110_SCRATCH_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_SHIFT                        _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_FIELD                        _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV110_SCRATCH_DATA_SHIFT)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_RANGE                        31:0
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_WOFFSET                      0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_DATA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SCRATCH_SECURE_RSV110_SCRATCH_1
#define SCRATCH_SECURE_RSV110_SCRATCH_1                 _MK_ADDR_CONST(0x3d8)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_SECURE                  0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DUAL                    0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_1_SCR                     RSV110_SCR_0
#define SCRATCH_SECURE_RSV110_SCRATCH_1_WORD_COUNT                      0x1
#define SCRATCH_SECURE_RSV110_SCRATCH_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_RANGE                      31:0
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_WOFFSET                    0x0
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SECURE_RSV110_SCRATCH_1_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_0
#define SCRATCH_SCRATCH_0                       _MK_ADDR_CONST(0x3dc)
#define SCRATCH_SCRATCH_0_SECURE                        0x0
#define SCRATCH_SCRATCH_0_DUAL                  0x0
#define SCRATCH_SCRATCH_0_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_0_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_0_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_0_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_0_DATA_SHIFT)
#define SCRATCH_SCRATCH_0_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_0_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_0_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_0_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_0_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH
#define SCRATCH_SCRATCH                 _MK_ADDR_CONST(0x3dc)
#define SCRATCH_SCRATCH_SECURE                  0x0
#define SCRATCH_SCRATCH_DUAL                    0x0
#define SCRATCH_SCRATCH_SCR                     NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_WORD_COUNT                      0x1
#define SCRATCH_SCRATCH_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_DATA_SHIFT)
#define SCRATCH_SCRATCH_DATA_RANGE                      31:0
#define SCRATCH_SCRATCH_DATA_WOFFSET                    0x0
#define SCRATCH_SCRATCH_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_1
#define SCRATCH_SCRATCH_1                       _MK_ADDR_CONST(0x3e0)
#define SCRATCH_SCRATCH_1_SECURE                        0x0
#define SCRATCH_SCRATCH_1_DUAL                  0x0
#define SCRATCH_SCRATCH_1_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_1_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_1_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_1_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_1_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_1_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_1_DATA_SHIFT)
#define SCRATCH_SCRATCH_1_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_1_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_1_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_1_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_1_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_2
#define SCRATCH_SCRATCH_2                       _MK_ADDR_CONST(0x3e4)
#define SCRATCH_SCRATCH_2_SECURE                        0x0
#define SCRATCH_SCRATCH_2_DUAL                  0x0
#define SCRATCH_SCRATCH_2_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_2_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_2_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_2_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_2_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_2_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_2_DATA_SHIFT)
#define SCRATCH_SCRATCH_2_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_2_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_2_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_2_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_2_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_3
#define SCRATCH_SCRATCH_3                       _MK_ADDR_CONST(0x3e8)
#define SCRATCH_SCRATCH_3_SECURE                        0x0
#define SCRATCH_SCRATCH_3_DUAL                  0x0
#define SCRATCH_SCRATCH_3_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_3_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_3_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_3_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_3_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_3_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_3_DATA_SHIFT)
#define SCRATCH_SCRATCH_3_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_3_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_3_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_3_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_3_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_4
#define SCRATCH_SCRATCH_4                       _MK_ADDR_CONST(0x3ec)
#define SCRATCH_SCRATCH_4_SECURE                        0x0
#define SCRATCH_SCRATCH_4_DUAL                  0x0
#define SCRATCH_SCRATCH_4_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_4_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_4_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_4_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_4_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_4_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_4_DATA_SHIFT)
#define SCRATCH_SCRATCH_4_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_4_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_4_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_4_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_4_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_5
#define SCRATCH_SCRATCH_5                       _MK_ADDR_CONST(0x3f0)
#define SCRATCH_SCRATCH_5_SECURE                        0x0
#define SCRATCH_SCRATCH_5_DUAL                  0x0
#define SCRATCH_SCRATCH_5_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_5_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_5_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_5_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_5_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_5_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_5_DATA_SHIFT)
#define SCRATCH_SCRATCH_5_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_5_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_5_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_5_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_5_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_6
#define SCRATCH_SCRATCH_6                       _MK_ADDR_CONST(0x3f4)
#define SCRATCH_SCRATCH_6_SECURE                        0x0
#define SCRATCH_SCRATCH_6_DUAL                  0x0
#define SCRATCH_SCRATCH_6_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_6_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_6_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_6_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_6_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_6_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_6_DATA_SHIFT)
#define SCRATCH_SCRATCH_6_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_6_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_6_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_6_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_6_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_7
#define SCRATCH_SCRATCH_7                       _MK_ADDR_CONST(0x3f8)
#define SCRATCH_SCRATCH_7_SECURE                        0x0
#define SCRATCH_SCRATCH_7_DUAL                  0x0
#define SCRATCH_SCRATCH_7_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_7_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_7_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_7_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_7_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_7_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_7_DATA_SHIFT)
#define SCRATCH_SCRATCH_7_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_7_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_7_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_7_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_7_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_8
#define SCRATCH_SCRATCH_8                       _MK_ADDR_CONST(0x3fc)
#define SCRATCH_SCRATCH_8_SECURE                        0x0
#define SCRATCH_SCRATCH_8_DUAL                  0x0
#define SCRATCH_SCRATCH_8_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_8_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_8_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_8_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_8_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_8_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_8_DATA_SHIFT)
#define SCRATCH_SCRATCH_8_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_8_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_8_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_8_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_8_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_9
#define SCRATCH_SCRATCH_9                       _MK_ADDR_CONST(0x400)
#define SCRATCH_SCRATCH_9_SECURE                        0x0
#define SCRATCH_SCRATCH_9_DUAL                  0x0
#define SCRATCH_SCRATCH_9_SCR                   NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_9_WORD_COUNT                    0x1
#define SCRATCH_SCRATCH_9_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_9_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_9_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_9_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_9_DATA_SHIFT)
#define SCRATCH_SCRATCH_9_DATA_RANGE                    31:0
#define SCRATCH_SCRATCH_9_DATA_WOFFSET                  0x0
#define SCRATCH_SCRATCH_9_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_9_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_9_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_10
#define SCRATCH_SCRATCH_10                      _MK_ADDR_CONST(0x404)
#define SCRATCH_SCRATCH_10_SECURE                       0x0
#define SCRATCH_SCRATCH_10_DUAL                         0x0
#define SCRATCH_SCRATCH_10_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_10_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_10_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_10_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_10_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_10_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_10_DATA_SHIFT)
#define SCRATCH_SCRATCH_10_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_10_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_10_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_10_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_10_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_11
#define SCRATCH_SCRATCH_11                      _MK_ADDR_CONST(0x408)
#define SCRATCH_SCRATCH_11_SECURE                       0x0
#define SCRATCH_SCRATCH_11_DUAL                         0x0
#define SCRATCH_SCRATCH_11_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_11_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_11_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_11_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_11_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_11_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_11_DATA_SHIFT)
#define SCRATCH_SCRATCH_11_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_11_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_11_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_11_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_11_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_12
#define SCRATCH_SCRATCH_12                      _MK_ADDR_CONST(0x40c)
#define SCRATCH_SCRATCH_12_SECURE                       0x0
#define SCRATCH_SCRATCH_12_DUAL                         0x0
#define SCRATCH_SCRATCH_12_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_12_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_12_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_12_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_12_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_12_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_12_DATA_SHIFT)
#define SCRATCH_SCRATCH_12_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_12_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_12_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_12_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_12_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_13
#define SCRATCH_SCRATCH_13                      _MK_ADDR_CONST(0x410)
#define SCRATCH_SCRATCH_13_SECURE                       0x0
#define SCRATCH_SCRATCH_13_DUAL                         0x0
#define SCRATCH_SCRATCH_13_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_13_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_13_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_13_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_13_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_13_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_13_DATA_SHIFT)
#define SCRATCH_SCRATCH_13_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_13_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_13_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_13_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_13_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_14
#define SCRATCH_SCRATCH_14                      _MK_ADDR_CONST(0x414)
#define SCRATCH_SCRATCH_14_SECURE                       0x0
#define SCRATCH_SCRATCH_14_DUAL                         0x0
#define SCRATCH_SCRATCH_14_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_14_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_14_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_14_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_14_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_14_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_14_DATA_SHIFT)
#define SCRATCH_SCRATCH_14_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_14_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_14_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_14_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_14_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_15
#define SCRATCH_SCRATCH_15                      _MK_ADDR_CONST(0x418)
#define SCRATCH_SCRATCH_15_SECURE                       0x0
#define SCRATCH_SCRATCH_15_DUAL                         0x0
#define SCRATCH_SCRATCH_15_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_15_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_15_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_15_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_15_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_15_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_15_DATA_SHIFT)
#define SCRATCH_SCRATCH_15_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_15_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_15_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_15_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_15_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_16
#define SCRATCH_SCRATCH_16                      _MK_ADDR_CONST(0x41c)
#define SCRATCH_SCRATCH_16_SECURE                       0x0
#define SCRATCH_SCRATCH_16_DUAL                         0x0
#define SCRATCH_SCRATCH_16_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_16_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_16_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_16_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_16_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_16_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_16_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_16_DATA_SHIFT)
#define SCRATCH_SCRATCH_16_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_16_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_16_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_16_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_16_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_17
#define SCRATCH_SCRATCH_17                      _MK_ADDR_CONST(0x420)
#define SCRATCH_SCRATCH_17_SECURE                       0x0
#define SCRATCH_SCRATCH_17_DUAL                         0x0
#define SCRATCH_SCRATCH_17_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_17_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_17_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_17_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_17_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_17_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_17_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_17_DATA_SHIFT)
#define SCRATCH_SCRATCH_17_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_17_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_17_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_17_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_17_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_18
#define SCRATCH_SCRATCH_18                      _MK_ADDR_CONST(0x424)
#define SCRATCH_SCRATCH_18_SECURE                       0x0
#define SCRATCH_SCRATCH_18_DUAL                         0x0
#define SCRATCH_SCRATCH_18_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_18_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_18_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_18_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_18_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_18_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_18_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_18_DATA_SHIFT)
#define SCRATCH_SCRATCH_18_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_18_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_18_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_18_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_18_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_19
#define SCRATCH_SCRATCH_19                      _MK_ADDR_CONST(0x428)
#define SCRATCH_SCRATCH_19_SECURE                       0x0
#define SCRATCH_SCRATCH_19_DUAL                         0x0
#define SCRATCH_SCRATCH_19_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_19_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_19_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_19_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_19_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_19_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_19_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_19_DATA_SHIFT)
#define SCRATCH_SCRATCH_19_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_19_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_19_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_19_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_19_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_20
#define SCRATCH_SCRATCH_20                      _MK_ADDR_CONST(0x42c)
#define SCRATCH_SCRATCH_20_SECURE                       0x0
#define SCRATCH_SCRATCH_20_DUAL                         0x0
#define SCRATCH_SCRATCH_20_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_20_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_20_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_20_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_20_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_20_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_20_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_20_DATA_SHIFT)
#define SCRATCH_SCRATCH_20_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_20_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_20_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_20_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_20_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_21
#define SCRATCH_SCRATCH_21                      _MK_ADDR_CONST(0x430)
#define SCRATCH_SCRATCH_21_SECURE                       0x0
#define SCRATCH_SCRATCH_21_DUAL                         0x0
#define SCRATCH_SCRATCH_21_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_21_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_21_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_21_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_21_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_21_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_21_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_21_DATA_SHIFT)
#define SCRATCH_SCRATCH_21_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_21_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_21_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_21_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_21_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_22
#define SCRATCH_SCRATCH_22                      _MK_ADDR_CONST(0x434)
#define SCRATCH_SCRATCH_22_SECURE                       0x0
#define SCRATCH_SCRATCH_22_DUAL                         0x0
#define SCRATCH_SCRATCH_22_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_22_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_22_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_22_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_22_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_22_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_22_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_22_DATA_SHIFT)
#define SCRATCH_SCRATCH_22_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_22_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_22_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_22_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_22_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_23
#define SCRATCH_SCRATCH_23                      _MK_ADDR_CONST(0x438)
#define SCRATCH_SCRATCH_23_SECURE                       0x0
#define SCRATCH_SCRATCH_23_DUAL                         0x0
#define SCRATCH_SCRATCH_23_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_23_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_23_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_23_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_23_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_23_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_23_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_23_DATA_SHIFT)
#define SCRATCH_SCRATCH_23_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_23_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_23_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_23_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_23_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_24
#define SCRATCH_SCRATCH_24                      _MK_ADDR_CONST(0x43c)
#define SCRATCH_SCRATCH_24_SECURE                       0x0
#define SCRATCH_SCRATCH_24_DUAL                         0x0
#define SCRATCH_SCRATCH_24_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_24_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_24_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_24_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_24_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_24_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_24_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_24_DATA_SHIFT)
#define SCRATCH_SCRATCH_24_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_24_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_24_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_24_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_24_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_25
#define SCRATCH_SCRATCH_25                      _MK_ADDR_CONST(0x440)
#define SCRATCH_SCRATCH_25_SECURE                       0x0
#define SCRATCH_SCRATCH_25_DUAL                         0x0
#define SCRATCH_SCRATCH_25_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_25_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_25_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_25_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_25_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_25_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_25_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_25_DATA_SHIFT)
#define SCRATCH_SCRATCH_25_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_25_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_25_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_25_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_25_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_26
#define SCRATCH_SCRATCH_26                      _MK_ADDR_CONST(0x444)
#define SCRATCH_SCRATCH_26_SECURE                       0x0
#define SCRATCH_SCRATCH_26_DUAL                         0x0
#define SCRATCH_SCRATCH_26_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_26_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_26_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_26_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_26_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_26_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_26_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_26_DATA_SHIFT)
#define SCRATCH_SCRATCH_26_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_26_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_26_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_26_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_26_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_27
#define SCRATCH_SCRATCH_27                      _MK_ADDR_CONST(0x448)
#define SCRATCH_SCRATCH_27_SECURE                       0x0
#define SCRATCH_SCRATCH_27_DUAL                         0x0
#define SCRATCH_SCRATCH_27_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_27_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_27_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_27_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_27_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_27_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_27_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_27_DATA_SHIFT)
#define SCRATCH_SCRATCH_27_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_27_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_27_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_27_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_27_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_28
#define SCRATCH_SCRATCH_28                      _MK_ADDR_CONST(0x44c)
#define SCRATCH_SCRATCH_28_SECURE                       0x0
#define SCRATCH_SCRATCH_28_DUAL                         0x0
#define SCRATCH_SCRATCH_28_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_28_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_28_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_28_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_28_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_28_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_28_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_28_DATA_SHIFT)
#define SCRATCH_SCRATCH_28_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_28_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_28_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_28_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_28_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_29
#define SCRATCH_SCRATCH_29                      _MK_ADDR_CONST(0x450)
#define SCRATCH_SCRATCH_29_SECURE                       0x0
#define SCRATCH_SCRATCH_29_DUAL                         0x0
#define SCRATCH_SCRATCH_29_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_29_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_29_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_29_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_29_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_29_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_29_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_29_DATA_SHIFT)
#define SCRATCH_SCRATCH_29_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_29_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_29_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_29_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_29_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_30
#define SCRATCH_SCRATCH_30                      _MK_ADDR_CONST(0x454)
#define SCRATCH_SCRATCH_30_SECURE                       0x0
#define SCRATCH_SCRATCH_30_DUAL                         0x0
#define SCRATCH_SCRATCH_30_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_30_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_30_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_30_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_30_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_30_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_30_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_30_DATA_SHIFT)
#define SCRATCH_SCRATCH_30_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_30_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_30_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_30_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_30_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_31
#define SCRATCH_SCRATCH_31                      _MK_ADDR_CONST(0x458)
#define SCRATCH_SCRATCH_31_SECURE                       0x0
#define SCRATCH_SCRATCH_31_DUAL                         0x0
#define SCRATCH_SCRATCH_31_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_31_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_31_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_31_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_31_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_31_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_31_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_31_DATA_SHIFT)
#define SCRATCH_SCRATCH_31_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_31_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_31_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_31_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_31_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_32
#define SCRATCH_SCRATCH_32                      _MK_ADDR_CONST(0x45c)
#define SCRATCH_SCRATCH_32_SECURE                       0x0
#define SCRATCH_SCRATCH_32_DUAL                         0x0
#define SCRATCH_SCRATCH_32_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_32_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_32_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_32_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_32_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_32_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_32_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_32_DATA_SHIFT)
#define SCRATCH_SCRATCH_32_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_32_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_32_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_32_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_32_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_33
#define SCRATCH_SCRATCH_33                      _MK_ADDR_CONST(0x460)
#define SCRATCH_SCRATCH_33_SECURE                       0x0
#define SCRATCH_SCRATCH_33_DUAL                         0x0
#define SCRATCH_SCRATCH_33_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_33_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_33_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_33_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_33_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_33_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_33_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_33_DATA_SHIFT)
#define SCRATCH_SCRATCH_33_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_33_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_33_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_33_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_33_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_34
#define SCRATCH_SCRATCH_34                      _MK_ADDR_CONST(0x464)
#define SCRATCH_SCRATCH_34_SECURE                       0x0
#define SCRATCH_SCRATCH_34_DUAL                         0x0
#define SCRATCH_SCRATCH_34_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_34_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_34_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_34_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_34_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_34_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_34_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_34_DATA_SHIFT)
#define SCRATCH_SCRATCH_34_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_34_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_34_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_34_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_34_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_35
#define SCRATCH_SCRATCH_35                      _MK_ADDR_CONST(0x468)
#define SCRATCH_SCRATCH_35_SECURE                       0x0
#define SCRATCH_SCRATCH_35_DUAL                         0x0
#define SCRATCH_SCRATCH_35_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_35_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_35_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_35_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_35_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_35_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_35_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_35_DATA_SHIFT)
#define SCRATCH_SCRATCH_35_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_35_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_35_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_35_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_35_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_36
#define SCRATCH_SCRATCH_36                      _MK_ADDR_CONST(0x46c)
#define SCRATCH_SCRATCH_36_SECURE                       0x0
#define SCRATCH_SCRATCH_36_DUAL                         0x0
#define SCRATCH_SCRATCH_36_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_36_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_36_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_36_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_36_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_36_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_36_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_36_DATA_SHIFT)
#define SCRATCH_SCRATCH_36_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_36_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_36_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_36_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_36_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_37
#define SCRATCH_SCRATCH_37                      _MK_ADDR_CONST(0x470)
#define SCRATCH_SCRATCH_37_SECURE                       0x0
#define SCRATCH_SCRATCH_37_DUAL                         0x0
#define SCRATCH_SCRATCH_37_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_37_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_37_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_37_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_37_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_37_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_37_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_37_DATA_SHIFT)
#define SCRATCH_SCRATCH_37_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_37_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_37_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_37_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_37_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_38
#define SCRATCH_SCRATCH_38                      _MK_ADDR_CONST(0x474)
#define SCRATCH_SCRATCH_38_SECURE                       0x0
#define SCRATCH_SCRATCH_38_DUAL                         0x0
#define SCRATCH_SCRATCH_38_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_38_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_38_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_38_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_38_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_38_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_38_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_38_DATA_SHIFT)
#define SCRATCH_SCRATCH_38_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_38_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_38_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_38_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_38_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_39
#define SCRATCH_SCRATCH_39                      _MK_ADDR_CONST(0x478)
#define SCRATCH_SCRATCH_39_SECURE                       0x0
#define SCRATCH_SCRATCH_39_DUAL                         0x0
#define SCRATCH_SCRATCH_39_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_39_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_39_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_39_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_39_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_39_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_39_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_39_DATA_SHIFT)
#define SCRATCH_SCRATCH_39_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_39_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_39_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_39_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_39_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_40
#define SCRATCH_SCRATCH_40                      _MK_ADDR_CONST(0x47c)
#define SCRATCH_SCRATCH_40_SECURE                       0x0
#define SCRATCH_SCRATCH_40_DUAL                         0x0
#define SCRATCH_SCRATCH_40_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_40_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_40_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_40_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_40_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_40_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_40_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_40_DATA_SHIFT)
#define SCRATCH_SCRATCH_40_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_40_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_40_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_40_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_40_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_41
#define SCRATCH_SCRATCH_41                      _MK_ADDR_CONST(0x480)
#define SCRATCH_SCRATCH_41_SECURE                       0x0
#define SCRATCH_SCRATCH_41_DUAL                         0x0
#define SCRATCH_SCRATCH_41_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_41_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_41_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_41_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_41_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_41_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_41_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_41_DATA_SHIFT)
#define SCRATCH_SCRATCH_41_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_41_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_41_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_41_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_41_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_42
#define SCRATCH_SCRATCH_42                      _MK_ADDR_CONST(0x484)
#define SCRATCH_SCRATCH_42_SECURE                       0x0
#define SCRATCH_SCRATCH_42_DUAL                         0x0
#define SCRATCH_SCRATCH_42_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_42_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_42_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_42_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_42_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_42_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_42_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_42_DATA_SHIFT)
#define SCRATCH_SCRATCH_42_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_42_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_42_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_42_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_42_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_43
#define SCRATCH_SCRATCH_43                      _MK_ADDR_CONST(0x488)
#define SCRATCH_SCRATCH_43_SECURE                       0x0
#define SCRATCH_SCRATCH_43_DUAL                         0x0
#define SCRATCH_SCRATCH_43_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_43_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_43_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_43_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_43_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_43_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_43_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_43_DATA_SHIFT)
#define SCRATCH_SCRATCH_43_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_43_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_43_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_43_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_43_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_44
#define SCRATCH_SCRATCH_44                      _MK_ADDR_CONST(0x48c)
#define SCRATCH_SCRATCH_44_SECURE                       0x0
#define SCRATCH_SCRATCH_44_DUAL                         0x0
#define SCRATCH_SCRATCH_44_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_44_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_44_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_44_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_44_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_44_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_44_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_44_DATA_SHIFT)
#define SCRATCH_SCRATCH_44_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_44_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_44_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_44_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_44_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_45
#define SCRATCH_SCRATCH_45                      _MK_ADDR_CONST(0x490)
#define SCRATCH_SCRATCH_45_SECURE                       0x0
#define SCRATCH_SCRATCH_45_DUAL                         0x0
#define SCRATCH_SCRATCH_45_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_45_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_45_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_45_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_45_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_45_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_45_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_45_DATA_SHIFT)
#define SCRATCH_SCRATCH_45_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_45_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_45_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_45_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_45_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_46
#define SCRATCH_SCRATCH_46                      _MK_ADDR_CONST(0x494)
#define SCRATCH_SCRATCH_46_SECURE                       0x0
#define SCRATCH_SCRATCH_46_DUAL                         0x0
#define SCRATCH_SCRATCH_46_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_46_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_46_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_46_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_46_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_46_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_46_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_46_DATA_SHIFT)
#define SCRATCH_SCRATCH_46_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_46_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_46_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_46_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_46_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_47
#define SCRATCH_SCRATCH_47                      _MK_ADDR_CONST(0x498)
#define SCRATCH_SCRATCH_47_SECURE                       0x0
#define SCRATCH_SCRATCH_47_DUAL                         0x0
#define SCRATCH_SCRATCH_47_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_47_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_47_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_47_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_47_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_47_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_47_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_47_DATA_SHIFT)
#define SCRATCH_SCRATCH_47_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_47_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_47_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_47_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_47_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_48
#define SCRATCH_SCRATCH_48                      _MK_ADDR_CONST(0x49c)
#define SCRATCH_SCRATCH_48_SECURE                       0x0
#define SCRATCH_SCRATCH_48_DUAL                         0x0
#define SCRATCH_SCRATCH_48_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_48_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_48_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_48_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_48_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_48_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_48_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_48_DATA_SHIFT)
#define SCRATCH_SCRATCH_48_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_48_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_48_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_48_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_48_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_49
#define SCRATCH_SCRATCH_49                      _MK_ADDR_CONST(0x4a0)
#define SCRATCH_SCRATCH_49_SECURE                       0x0
#define SCRATCH_SCRATCH_49_DUAL                         0x0
#define SCRATCH_SCRATCH_49_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_49_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_49_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_49_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_49_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_49_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_49_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_49_DATA_SHIFT)
#define SCRATCH_SCRATCH_49_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_49_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_49_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_49_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_49_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_50
#define SCRATCH_SCRATCH_50                      _MK_ADDR_CONST(0x4a4)
#define SCRATCH_SCRATCH_50_SECURE                       0x0
#define SCRATCH_SCRATCH_50_DUAL                         0x0
#define SCRATCH_SCRATCH_50_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_50_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_50_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_50_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_50_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_50_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_50_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_50_DATA_SHIFT)
#define SCRATCH_SCRATCH_50_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_50_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_50_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_50_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_50_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_51
#define SCRATCH_SCRATCH_51                      _MK_ADDR_CONST(0x4a8)
#define SCRATCH_SCRATCH_51_SECURE                       0x0
#define SCRATCH_SCRATCH_51_DUAL                         0x0
#define SCRATCH_SCRATCH_51_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_51_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_51_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_51_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_51_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_51_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_51_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_51_DATA_SHIFT)
#define SCRATCH_SCRATCH_51_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_51_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_51_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_51_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_51_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_52
#define SCRATCH_SCRATCH_52                      _MK_ADDR_CONST(0x4ac)
#define SCRATCH_SCRATCH_52_SECURE                       0x0
#define SCRATCH_SCRATCH_52_DUAL                         0x0
#define SCRATCH_SCRATCH_52_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_52_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_52_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_52_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_52_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_52_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_52_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_52_DATA_SHIFT)
#define SCRATCH_SCRATCH_52_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_52_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_52_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_52_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_52_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_53
#define SCRATCH_SCRATCH_53                      _MK_ADDR_CONST(0x4b0)
#define SCRATCH_SCRATCH_53_SECURE                       0x0
#define SCRATCH_SCRATCH_53_DUAL                         0x0
#define SCRATCH_SCRATCH_53_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_53_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_53_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_53_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_53_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_53_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_53_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_53_DATA_SHIFT)
#define SCRATCH_SCRATCH_53_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_53_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_53_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_53_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_53_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_54
#define SCRATCH_SCRATCH_54                      _MK_ADDR_CONST(0x4b4)
#define SCRATCH_SCRATCH_54_SECURE                       0x0
#define SCRATCH_SCRATCH_54_DUAL                         0x0
#define SCRATCH_SCRATCH_54_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_54_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_54_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_54_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_54_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_54_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_54_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_54_DATA_SHIFT)
#define SCRATCH_SCRATCH_54_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_54_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_54_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_54_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_54_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_55
#define SCRATCH_SCRATCH_55                      _MK_ADDR_CONST(0x4b8)
#define SCRATCH_SCRATCH_55_SECURE                       0x0
#define SCRATCH_SCRATCH_55_DUAL                         0x0
#define SCRATCH_SCRATCH_55_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_55_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_55_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_55_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_55_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_55_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_55_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_55_DATA_SHIFT)
#define SCRATCH_SCRATCH_55_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_55_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_55_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_55_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_55_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_56
#define SCRATCH_SCRATCH_56                      _MK_ADDR_CONST(0x4bc)
#define SCRATCH_SCRATCH_56_SECURE                       0x0
#define SCRATCH_SCRATCH_56_DUAL                         0x0
#define SCRATCH_SCRATCH_56_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_56_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_56_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_56_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_56_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_56_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_56_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_56_DATA_SHIFT)
#define SCRATCH_SCRATCH_56_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_56_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_56_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_56_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_56_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_57
#define SCRATCH_SCRATCH_57                      _MK_ADDR_CONST(0x4c0)
#define SCRATCH_SCRATCH_57_SECURE                       0x0
#define SCRATCH_SCRATCH_57_DUAL                         0x0
#define SCRATCH_SCRATCH_57_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_57_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_57_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_57_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_57_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_57_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_57_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_57_DATA_SHIFT)
#define SCRATCH_SCRATCH_57_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_57_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_57_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_57_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_57_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_58
#define SCRATCH_SCRATCH_58                      _MK_ADDR_CONST(0x4c4)
#define SCRATCH_SCRATCH_58_SECURE                       0x0
#define SCRATCH_SCRATCH_58_DUAL                         0x0
#define SCRATCH_SCRATCH_58_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_58_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_58_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_58_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_58_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_58_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_58_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_58_DATA_SHIFT)
#define SCRATCH_SCRATCH_58_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_58_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_58_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_58_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_58_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_59
#define SCRATCH_SCRATCH_59                      _MK_ADDR_CONST(0x4c8)
#define SCRATCH_SCRATCH_59_SECURE                       0x0
#define SCRATCH_SCRATCH_59_DUAL                         0x0
#define SCRATCH_SCRATCH_59_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_59_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_59_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_59_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_59_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_59_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_59_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_59_DATA_SHIFT)
#define SCRATCH_SCRATCH_59_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_59_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_59_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_59_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_59_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_60
#define SCRATCH_SCRATCH_60                      _MK_ADDR_CONST(0x4cc)
#define SCRATCH_SCRATCH_60_SECURE                       0x0
#define SCRATCH_SCRATCH_60_DUAL                         0x0
#define SCRATCH_SCRATCH_60_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_60_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_60_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_60_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_60_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_60_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_60_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_60_DATA_SHIFT)
#define SCRATCH_SCRATCH_60_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_60_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_60_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_60_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_60_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_61
#define SCRATCH_SCRATCH_61                      _MK_ADDR_CONST(0x4d0)
#define SCRATCH_SCRATCH_61_SECURE                       0x0
#define SCRATCH_SCRATCH_61_DUAL                         0x0
#define SCRATCH_SCRATCH_61_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_61_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_61_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_61_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_61_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_61_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_61_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_61_DATA_SHIFT)
#define SCRATCH_SCRATCH_61_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_61_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_61_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_61_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_61_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_62
#define SCRATCH_SCRATCH_62                      _MK_ADDR_CONST(0x4d4)
#define SCRATCH_SCRATCH_62_SECURE                       0x0
#define SCRATCH_SCRATCH_62_DUAL                         0x0
#define SCRATCH_SCRATCH_62_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_62_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_62_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_62_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_62_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_62_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_62_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_62_DATA_SHIFT)
#define SCRATCH_SCRATCH_62_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_62_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_62_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_62_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_62_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_63
#define SCRATCH_SCRATCH_63                      _MK_ADDR_CONST(0x4d8)
#define SCRATCH_SCRATCH_63_SECURE                       0x0
#define SCRATCH_SCRATCH_63_DUAL                         0x0
#define SCRATCH_SCRATCH_63_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_63_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_63_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_63_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_63_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_63_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_63_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_63_DATA_SHIFT)
#define SCRATCH_SCRATCH_63_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_63_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_63_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_63_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_63_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_64
#define SCRATCH_SCRATCH_64                      _MK_ADDR_CONST(0x4dc)
#define SCRATCH_SCRATCH_64_SECURE                       0x0
#define SCRATCH_SCRATCH_64_DUAL                         0x0
#define SCRATCH_SCRATCH_64_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_64_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_64_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_64_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_64_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_64_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_64_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_64_DATA_SHIFT)
#define SCRATCH_SCRATCH_64_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_64_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_64_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_64_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_64_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_65
#define SCRATCH_SCRATCH_65                      _MK_ADDR_CONST(0x4e0)
#define SCRATCH_SCRATCH_65_SECURE                       0x0
#define SCRATCH_SCRATCH_65_DUAL                         0x0
#define SCRATCH_SCRATCH_65_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_65_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_65_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_65_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_65_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_65_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_65_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_65_DATA_SHIFT)
#define SCRATCH_SCRATCH_65_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_65_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_65_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_65_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_65_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_66
#define SCRATCH_SCRATCH_66                      _MK_ADDR_CONST(0x4e4)
#define SCRATCH_SCRATCH_66_SECURE                       0x0
#define SCRATCH_SCRATCH_66_DUAL                         0x0
#define SCRATCH_SCRATCH_66_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_66_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_66_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_66_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_66_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_66_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_66_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_66_DATA_SHIFT)
#define SCRATCH_SCRATCH_66_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_66_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_66_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_66_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_66_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_67
#define SCRATCH_SCRATCH_67                      _MK_ADDR_CONST(0x4e8)
#define SCRATCH_SCRATCH_67_SECURE                       0x0
#define SCRATCH_SCRATCH_67_DUAL                         0x0
#define SCRATCH_SCRATCH_67_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_67_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_67_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_67_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_67_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_67_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_67_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_67_DATA_SHIFT)
#define SCRATCH_SCRATCH_67_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_67_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_67_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_67_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_67_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_68
#define SCRATCH_SCRATCH_68                      _MK_ADDR_CONST(0x4ec)
#define SCRATCH_SCRATCH_68_SECURE                       0x0
#define SCRATCH_SCRATCH_68_DUAL                         0x0
#define SCRATCH_SCRATCH_68_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_68_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_68_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_68_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_68_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_68_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_68_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_68_DATA_SHIFT)
#define SCRATCH_SCRATCH_68_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_68_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_68_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_68_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_68_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_69
#define SCRATCH_SCRATCH_69                      _MK_ADDR_CONST(0x4f0)
#define SCRATCH_SCRATCH_69_SECURE                       0x0
#define SCRATCH_SCRATCH_69_DUAL                         0x0
#define SCRATCH_SCRATCH_69_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_69_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_69_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_69_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_69_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_69_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_69_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_69_DATA_SHIFT)
#define SCRATCH_SCRATCH_69_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_69_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_69_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_69_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_69_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_70
#define SCRATCH_SCRATCH_70                      _MK_ADDR_CONST(0x4f4)
#define SCRATCH_SCRATCH_70_SECURE                       0x0
#define SCRATCH_SCRATCH_70_DUAL                         0x0
#define SCRATCH_SCRATCH_70_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_70_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_70_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_70_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_70_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_70_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_70_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_70_DATA_SHIFT)
#define SCRATCH_SCRATCH_70_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_70_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_70_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_70_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_70_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_71
#define SCRATCH_SCRATCH_71                      _MK_ADDR_CONST(0x4f8)
#define SCRATCH_SCRATCH_71_SECURE                       0x0
#define SCRATCH_SCRATCH_71_DUAL                         0x0
#define SCRATCH_SCRATCH_71_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_71_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_71_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_71_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_71_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_71_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_71_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_71_DATA_SHIFT)
#define SCRATCH_SCRATCH_71_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_71_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_71_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_71_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_71_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_72
#define SCRATCH_SCRATCH_72                      _MK_ADDR_CONST(0x4fc)
#define SCRATCH_SCRATCH_72_SECURE                       0x0
#define SCRATCH_SCRATCH_72_DUAL                         0x0
#define SCRATCH_SCRATCH_72_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_72_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_72_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_72_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_72_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_72_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_72_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_72_DATA_SHIFT)
#define SCRATCH_SCRATCH_72_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_72_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_72_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_72_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_72_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_73
#define SCRATCH_SCRATCH_73                      _MK_ADDR_CONST(0x500)
#define SCRATCH_SCRATCH_73_SECURE                       0x0
#define SCRATCH_SCRATCH_73_DUAL                         0x0
#define SCRATCH_SCRATCH_73_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_73_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_73_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_73_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_73_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_73_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_73_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_73_DATA_SHIFT)
#define SCRATCH_SCRATCH_73_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_73_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_73_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_73_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_73_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_74
#define SCRATCH_SCRATCH_74                      _MK_ADDR_CONST(0x504)
#define SCRATCH_SCRATCH_74_SECURE                       0x0
#define SCRATCH_SCRATCH_74_DUAL                         0x0
#define SCRATCH_SCRATCH_74_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_74_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_74_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_74_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_74_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_74_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_74_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_74_DATA_SHIFT)
#define SCRATCH_SCRATCH_74_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_74_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_74_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_74_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_74_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_75
#define SCRATCH_SCRATCH_75                      _MK_ADDR_CONST(0x508)
#define SCRATCH_SCRATCH_75_SECURE                       0x0
#define SCRATCH_SCRATCH_75_DUAL                         0x0
#define SCRATCH_SCRATCH_75_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_75_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_75_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_75_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_75_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_75_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_75_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_75_DATA_SHIFT)
#define SCRATCH_SCRATCH_75_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_75_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_75_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_75_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_75_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_76
#define SCRATCH_SCRATCH_76                      _MK_ADDR_CONST(0x50c)
#define SCRATCH_SCRATCH_76_SECURE                       0x0
#define SCRATCH_SCRATCH_76_DUAL                         0x0
#define SCRATCH_SCRATCH_76_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_76_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_76_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_76_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_76_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_76_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_76_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_76_DATA_SHIFT)
#define SCRATCH_SCRATCH_76_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_76_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_76_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_76_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_76_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_77
#define SCRATCH_SCRATCH_77                      _MK_ADDR_CONST(0x510)
#define SCRATCH_SCRATCH_77_SECURE                       0x0
#define SCRATCH_SCRATCH_77_DUAL                         0x0
#define SCRATCH_SCRATCH_77_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_77_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_77_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_77_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_77_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_77_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_77_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_77_DATA_SHIFT)
#define SCRATCH_SCRATCH_77_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_77_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_77_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_77_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_77_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_78
#define SCRATCH_SCRATCH_78                      _MK_ADDR_CONST(0x514)
#define SCRATCH_SCRATCH_78_SECURE                       0x0
#define SCRATCH_SCRATCH_78_DUAL                         0x0
#define SCRATCH_SCRATCH_78_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_78_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_78_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_78_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_78_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_78_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_78_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_78_DATA_SHIFT)
#define SCRATCH_SCRATCH_78_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_78_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_78_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_78_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_78_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_79
#define SCRATCH_SCRATCH_79                      _MK_ADDR_CONST(0x518)
#define SCRATCH_SCRATCH_79_SECURE                       0x0
#define SCRATCH_SCRATCH_79_DUAL                         0x0
#define SCRATCH_SCRATCH_79_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_79_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_79_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_79_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_79_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_79_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_79_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_79_DATA_SHIFT)
#define SCRATCH_SCRATCH_79_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_79_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_79_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_79_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_79_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_80
#define SCRATCH_SCRATCH_80                      _MK_ADDR_CONST(0x51c)
#define SCRATCH_SCRATCH_80_SECURE                       0x0
#define SCRATCH_SCRATCH_80_DUAL                         0x0
#define SCRATCH_SCRATCH_80_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_80_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_80_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_80_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_80_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_80_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_80_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_80_DATA_SHIFT)
#define SCRATCH_SCRATCH_80_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_80_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_80_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_80_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_80_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_81
#define SCRATCH_SCRATCH_81                      _MK_ADDR_CONST(0x520)
#define SCRATCH_SCRATCH_81_SECURE                       0x0
#define SCRATCH_SCRATCH_81_DUAL                         0x0
#define SCRATCH_SCRATCH_81_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_81_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_81_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_81_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_81_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_81_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_81_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_81_DATA_SHIFT)
#define SCRATCH_SCRATCH_81_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_81_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_81_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_81_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_81_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_82
#define SCRATCH_SCRATCH_82                      _MK_ADDR_CONST(0x524)
#define SCRATCH_SCRATCH_82_SECURE                       0x0
#define SCRATCH_SCRATCH_82_DUAL                         0x0
#define SCRATCH_SCRATCH_82_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_82_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_82_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_82_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_82_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_82_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_82_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_82_DATA_SHIFT)
#define SCRATCH_SCRATCH_82_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_82_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_82_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_82_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_82_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_83
#define SCRATCH_SCRATCH_83                      _MK_ADDR_CONST(0x528)
#define SCRATCH_SCRATCH_83_SECURE                       0x0
#define SCRATCH_SCRATCH_83_DUAL                         0x0
#define SCRATCH_SCRATCH_83_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_83_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_83_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_83_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_83_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_83_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_83_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_83_DATA_SHIFT)
#define SCRATCH_SCRATCH_83_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_83_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_83_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_83_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_83_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_84
#define SCRATCH_SCRATCH_84                      _MK_ADDR_CONST(0x52c)
#define SCRATCH_SCRATCH_84_SECURE                       0x0
#define SCRATCH_SCRATCH_84_DUAL                         0x0
#define SCRATCH_SCRATCH_84_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_84_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_84_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_84_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_84_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_84_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_84_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_84_DATA_SHIFT)
#define SCRATCH_SCRATCH_84_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_84_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_84_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_84_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_84_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_85
#define SCRATCH_SCRATCH_85                      _MK_ADDR_CONST(0x530)
#define SCRATCH_SCRATCH_85_SECURE                       0x0
#define SCRATCH_SCRATCH_85_DUAL                         0x0
#define SCRATCH_SCRATCH_85_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_85_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_85_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_85_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_85_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_85_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_85_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_85_DATA_SHIFT)
#define SCRATCH_SCRATCH_85_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_85_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_85_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_85_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_85_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_86
#define SCRATCH_SCRATCH_86                      _MK_ADDR_CONST(0x534)
#define SCRATCH_SCRATCH_86_SECURE                       0x0
#define SCRATCH_SCRATCH_86_DUAL                         0x0
#define SCRATCH_SCRATCH_86_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_86_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_86_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_86_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_86_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_86_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_86_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_86_DATA_SHIFT)
#define SCRATCH_SCRATCH_86_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_86_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_86_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_86_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_86_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_87
#define SCRATCH_SCRATCH_87                      _MK_ADDR_CONST(0x538)
#define SCRATCH_SCRATCH_87_SECURE                       0x0
#define SCRATCH_SCRATCH_87_DUAL                         0x0
#define SCRATCH_SCRATCH_87_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_87_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_87_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_87_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_87_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_87_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_87_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_87_DATA_SHIFT)
#define SCRATCH_SCRATCH_87_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_87_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_87_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_87_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_87_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_88
#define SCRATCH_SCRATCH_88                      _MK_ADDR_CONST(0x53c)
#define SCRATCH_SCRATCH_88_SECURE                       0x0
#define SCRATCH_SCRATCH_88_DUAL                         0x0
#define SCRATCH_SCRATCH_88_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_88_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_88_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_88_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_88_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_88_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_88_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_88_DATA_SHIFT)
#define SCRATCH_SCRATCH_88_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_88_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_88_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_88_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_88_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_89
#define SCRATCH_SCRATCH_89                      _MK_ADDR_CONST(0x540)
#define SCRATCH_SCRATCH_89_SECURE                       0x0
#define SCRATCH_SCRATCH_89_DUAL                         0x0
#define SCRATCH_SCRATCH_89_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_89_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_89_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_89_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_89_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_89_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_89_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_89_DATA_SHIFT)
#define SCRATCH_SCRATCH_89_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_89_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_89_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_89_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_89_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_90
#define SCRATCH_SCRATCH_90                      _MK_ADDR_CONST(0x544)
#define SCRATCH_SCRATCH_90_SECURE                       0x0
#define SCRATCH_SCRATCH_90_DUAL                         0x0
#define SCRATCH_SCRATCH_90_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_90_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_90_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_90_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_90_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_90_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_90_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_90_DATA_SHIFT)
#define SCRATCH_SCRATCH_90_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_90_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_90_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_90_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_90_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_91
#define SCRATCH_SCRATCH_91                      _MK_ADDR_CONST(0x548)
#define SCRATCH_SCRATCH_91_SECURE                       0x0
#define SCRATCH_SCRATCH_91_DUAL                         0x0
#define SCRATCH_SCRATCH_91_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_91_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_91_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_91_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_91_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_91_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_91_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_91_DATA_SHIFT)
#define SCRATCH_SCRATCH_91_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_91_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_91_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_91_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_91_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_92
#define SCRATCH_SCRATCH_92                      _MK_ADDR_CONST(0x54c)
#define SCRATCH_SCRATCH_92_SECURE                       0x0
#define SCRATCH_SCRATCH_92_DUAL                         0x0
#define SCRATCH_SCRATCH_92_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_92_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_92_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_92_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_92_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_92_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_92_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_92_DATA_SHIFT)
#define SCRATCH_SCRATCH_92_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_92_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_92_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_92_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_92_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_93
#define SCRATCH_SCRATCH_93                      _MK_ADDR_CONST(0x550)
#define SCRATCH_SCRATCH_93_SECURE                       0x0
#define SCRATCH_SCRATCH_93_DUAL                         0x0
#define SCRATCH_SCRATCH_93_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_93_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_93_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_93_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_93_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_93_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_93_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_93_DATA_SHIFT)
#define SCRATCH_SCRATCH_93_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_93_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_93_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_93_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_93_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_94
#define SCRATCH_SCRATCH_94                      _MK_ADDR_CONST(0x554)
#define SCRATCH_SCRATCH_94_SECURE                       0x0
#define SCRATCH_SCRATCH_94_DUAL                         0x0
#define SCRATCH_SCRATCH_94_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_94_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_94_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_94_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_94_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_94_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_94_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_94_DATA_SHIFT)
#define SCRATCH_SCRATCH_94_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_94_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_94_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_94_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_94_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_95
#define SCRATCH_SCRATCH_95                      _MK_ADDR_CONST(0x558)
#define SCRATCH_SCRATCH_95_SECURE                       0x0
#define SCRATCH_SCRATCH_95_DUAL                         0x0
#define SCRATCH_SCRATCH_95_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_95_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_95_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_95_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_95_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_95_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_95_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_95_DATA_SHIFT)
#define SCRATCH_SCRATCH_95_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_95_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_95_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_95_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_95_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_96
#define SCRATCH_SCRATCH_96                      _MK_ADDR_CONST(0x55c)
#define SCRATCH_SCRATCH_96_SECURE                       0x0
#define SCRATCH_SCRATCH_96_DUAL                         0x0
#define SCRATCH_SCRATCH_96_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_96_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_96_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_96_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_96_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_96_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_96_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_96_DATA_SHIFT)
#define SCRATCH_SCRATCH_96_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_96_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_96_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_96_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_96_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_97
#define SCRATCH_SCRATCH_97                      _MK_ADDR_CONST(0x560)
#define SCRATCH_SCRATCH_97_SECURE                       0x0
#define SCRATCH_SCRATCH_97_DUAL                         0x0
#define SCRATCH_SCRATCH_97_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_97_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_97_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_97_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_97_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_97_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_97_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_97_DATA_SHIFT)
#define SCRATCH_SCRATCH_97_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_97_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_97_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_97_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_97_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_98
#define SCRATCH_SCRATCH_98                      _MK_ADDR_CONST(0x564)
#define SCRATCH_SCRATCH_98_SECURE                       0x0
#define SCRATCH_SCRATCH_98_DUAL                         0x0
#define SCRATCH_SCRATCH_98_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_98_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_98_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_98_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_98_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_98_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_98_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_98_DATA_SHIFT)
#define SCRATCH_SCRATCH_98_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_98_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_98_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_98_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_98_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_99
#define SCRATCH_SCRATCH_99                      _MK_ADDR_CONST(0x568)
#define SCRATCH_SCRATCH_99_SECURE                       0x0
#define SCRATCH_SCRATCH_99_DUAL                         0x0
#define SCRATCH_SCRATCH_99_SCR                  NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_99_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH_99_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_99_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_99_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_99_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_99_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_99_DATA_SHIFT)
#define SCRATCH_SCRATCH_99_DATA_RANGE                   31:0
#define SCRATCH_SCRATCH_99_DATA_WOFFSET                 0x0
#define SCRATCH_SCRATCH_99_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_99_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_DATA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_99_DATA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_100
#define SCRATCH_SCRATCH_100                     _MK_ADDR_CONST(0x56c)
#define SCRATCH_SCRATCH_100_SECURE                      0x0
#define SCRATCH_SCRATCH_100_DUAL                        0x0
#define SCRATCH_SCRATCH_100_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_100_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_100_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_100_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_100_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_100_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_100_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_100_DATA_SHIFT)
#define SCRATCH_SCRATCH_100_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_100_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_100_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_100_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_100_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_101
#define SCRATCH_SCRATCH_101                     _MK_ADDR_CONST(0x570)
#define SCRATCH_SCRATCH_101_SECURE                      0x0
#define SCRATCH_SCRATCH_101_DUAL                        0x0
#define SCRATCH_SCRATCH_101_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_101_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_101_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_101_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_101_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_101_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_101_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_101_DATA_SHIFT)
#define SCRATCH_SCRATCH_101_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_101_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_101_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_101_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_101_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_102
#define SCRATCH_SCRATCH_102                     _MK_ADDR_CONST(0x574)
#define SCRATCH_SCRATCH_102_SECURE                      0x0
#define SCRATCH_SCRATCH_102_DUAL                        0x0
#define SCRATCH_SCRATCH_102_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_102_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_102_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_102_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_102_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_102_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_102_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_102_DATA_SHIFT)
#define SCRATCH_SCRATCH_102_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_102_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_102_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_102_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_102_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_103
#define SCRATCH_SCRATCH_103                     _MK_ADDR_CONST(0x578)
#define SCRATCH_SCRATCH_103_SECURE                      0x0
#define SCRATCH_SCRATCH_103_DUAL                        0x0
#define SCRATCH_SCRATCH_103_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_103_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_103_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_103_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_103_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_103_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_103_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_103_DATA_SHIFT)
#define SCRATCH_SCRATCH_103_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_103_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_103_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_103_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_103_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_104
#define SCRATCH_SCRATCH_104                     _MK_ADDR_CONST(0x57c)
#define SCRATCH_SCRATCH_104_SECURE                      0x0
#define SCRATCH_SCRATCH_104_DUAL                        0x0
#define SCRATCH_SCRATCH_104_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_104_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_104_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_104_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_104_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_104_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_104_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_104_DATA_SHIFT)
#define SCRATCH_SCRATCH_104_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_104_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_104_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_104_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_104_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_105
#define SCRATCH_SCRATCH_105                     _MK_ADDR_CONST(0x580)
#define SCRATCH_SCRATCH_105_SECURE                      0x0
#define SCRATCH_SCRATCH_105_DUAL                        0x0
#define SCRATCH_SCRATCH_105_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_105_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_105_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_105_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_105_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_105_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_105_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_105_DATA_SHIFT)
#define SCRATCH_SCRATCH_105_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_105_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_105_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_105_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_105_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_106
#define SCRATCH_SCRATCH_106                     _MK_ADDR_CONST(0x584)
#define SCRATCH_SCRATCH_106_SECURE                      0x0
#define SCRATCH_SCRATCH_106_DUAL                        0x0
#define SCRATCH_SCRATCH_106_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_106_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_106_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_106_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_106_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_106_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_106_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_106_DATA_SHIFT)
#define SCRATCH_SCRATCH_106_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_106_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_106_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_106_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_106_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_107
#define SCRATCH_SCRATCH_107                     _MK_ADDR_CONST(0x588)
#define SCRATCH_SCRATCH_107_SECURE                      0x0
#define SCRATCH_SCRATCH_107_DUAL                        0x0
#define SCRATCH_SCRATCH_107_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_107_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_107_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_107_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_107_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_107_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_107_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_107_DATA_SHIFT)
#define SCRATCH_SCRATCH_107_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_107_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_107_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_107_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_107_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_108
#define SCRATCH_SCRATCH_108                     _MK_ADDR_CONST(0x58c)
#define SCRATCH_SCRATCH_108_SECURE                      0x0
#define SCRATCH_SCRATCH_108_DUAL                        0x0
#define SCRATCH_SCRATCH_108_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_108_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_108_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_108_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_108_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_108_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_108_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_108_DATA_SHIFT)
#define SCRATCH_SCRATCH_108_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_108_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_108_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_108_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_108_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_109
#define SCRATCH_SCRATCH_109                     _MK_ADDR_CONST(0x590)
#define SCRATCH_SCRATCH_109_SECURE                      0x0
#define SCRATCH_SCRATCH_109_DUAL                        0x0
#define SCRATCH_SCRATCH_109_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_109_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_109_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_109_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_109_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_109_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_109_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_109_DATA_SHIFT)
#define SCRATCH_SCRATCH_109_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_109_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_109_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_109_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_109_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_110
#define SCRATCH_SCRATCH_110                     _MK_ADDR_CONST(0x594)
#define SCRATCH_SCRATCH_110_SECURE                      0x0
#define SCRATCH_SCRATCH_110_DUAL                        0x0
#define SCRATCH_SCRATCH_110_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_110_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_110_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_110_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_110_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_110_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_110_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_110_DATA_SHIFT)
#define SCRATCH_SCRATCH_110_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_110_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_110_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_110_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_110_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_111
#define SCRATCH_SCRATCH_111                     _MK_ADDR_CONST(0x598)
#define SCRATCH_SCRATCH_111_SECURE                      0x0
#define SCRATCH_SCRATCH_111_DUAL                        0x0
#define SCRATCH_SCRATCH_111_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_111_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_111_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_111_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_111_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_111_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_111_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_111_DATA_SHIFT)
#define SCRATCH_SCRATCH_111_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_111_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_111_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_111_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_111_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_112
#define SCRATCH_SCRATCH_112                     _MK_ADDR_CONST(0x59c)
#define SCRATCH_SCRATCH_112_SECURE                      0x0
#define SCRATCH_SCRATCH_112_DUAL                        0x0
#define SCRATCH_SCRATCH_112_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_112_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_112_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_112_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_112_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_112_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_112_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_112_DATA_SHIFT)
#define SCRATCH_SCRATCH_112_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_112_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_112_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_112_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_112_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_113
#define SCRATCH_SCRATCH_113                     _MK_ADDR_CONST(0x5a0)
#define SCRATCH_SCRATCH_113_SECURE                      0x0
#define SCRATCH_SCRATCH_113_DUAL                        0x0
#define SCRATCH_SCRATCH_113_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_113_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_113_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_113_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_113_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_113_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_113_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_113_DATA_SHIFT)
#define SCRATCH_SCRATCH_113_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_113_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_113_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_113_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_113_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_114
#define SCRATCH_SCRATCH_114                     _MK_ADDR_CONST(0x5a4)
#define SCRATCH_SCRATCH_114_SECURE                      0x0
#define SCRATCH_SCRATCH_114_DUAL                        0x0
#define SCRATCH_SCRATCH_114_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_114_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_114_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_114_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_114_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_114_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_114_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_114_DATA_SHIFT)
#define SCRATCH_SCRATCH_114_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_114_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_114_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_114_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_114_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_115
#define SCRATCH_SCRATCH_115                     _MK_ADDR_CONST(0x5a8)
#define SCRATCH_SCRATCH_115_SECURE                      0x0
#define SCRATCH_SCRATCH_115_DUAL                        0x0
#define SCRATCH_SCRATCH_115_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_115_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_115_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_115_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_115_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_115_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_115_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_115_DATA_SHIFT)
#define SCRATCH_SCRATCH_115_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_115_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_115_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_115_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_115_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_116
#define SCRATCH_SCRATCH_116                     _MK_ADDR_CONST(0x5ac)
#define SCRATCH_SCRATCH_116_SECURE                      0x0
#define SCRATCH_SCRATCH_116_DUAL                        0x0
#define SCRATCH_SCRATCH_116_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_116_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_116_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_116_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_116_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_116_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_116_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_116_DATA_SHIFT)
#define SCRATCH_SCRATCH_116_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_116_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_116_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_116_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_116_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_117
#define SCRATCH_SCRATCH_117                     _MK_ADDR_CONST(0x5b0)
#define SCRATCH_SCRATCH_117_SECURE                      0x0
#define SCRATCH_SCRATCH_117_DUAL                        0x0
#define SCRATCH_SCRATCH_117_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_117_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_117_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_117_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_117_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_117_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_117_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_117_DATA_SHIFT)
#define SCRATCH_SCRATCH_117_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_117_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_117_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_117_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_117_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_118
#define SCRATCH_SCRATCH_118                     _MK_ADDR_CONST(0x5b4)
#define SCRATCH_SCRATCH_118_SECURE                      0x0
#define SCRATCH_SCRATCH_118_DUAL                        0x0
#define SCRATCH_SCRATCH_118_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_118_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_118_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_118_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_118_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_118_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_118_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_118_DATA_SHIFT)
#define SCRATCH_SCRATCH_118_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_118_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_118_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_118_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_118_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_119
#define SCRATCH_SCRATCH_119                     _MK_ADDR_CONST(0x5b8)
#define SCRATCH_SCRATCH_119_SECURE                      0x0
#define SCRATCH_SCRATCH_119_DUAL                        0x0
#define SCRATCH_SCRATCH_119_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_119_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_119_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_119_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_119_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_119_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_119_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_119_DATA_SHIFT)
#define SCRATCH_SCRATCH_119_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_119_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_119_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_119_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_119_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_120
#define SCRATCH_SCRATCH_120                     _MK_ADDR_CONST(0x5bc)
#define SCRATCH_SCRATCH_120_SECURE                      0x0
#define SCRATCH_SCRATCH_120_DUAL                        0x0
#define SCRATCH_SCRATCH_120_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_120_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_120_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_120_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_120_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_120_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_120_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_120_DATA_SHIFT)
#define SCRATCH_SCRATCH_120_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_120_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_120_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_120_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_120_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_121
#define SCRATCH_SCRATCH_121                     _MK_ADDR_CONST(0x5c0)
#define SCRATCH_SCRATCH_121_SECURE                      0x0
#define SCRATCH_SCRATCH_121_DUAL                        0x0
#define SCRATCH_SCRATCH_121_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_121_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_121_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_121_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_121_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_121_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_121_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_121_DATA_SHIFT)
#define SCRATCH_SCRATCH_121_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_121_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_121_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_121_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_121_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_122
#define SCRATCH_SCRATCH_122                     _MK_ADDR_CONST(0x5c4)
#define SCRATCH_SCRATCH_122_SECURE                      0x0
#define SCRATCH_SCRATCH_122_DUAL                        0x0
#define SCRATCH_SCRATCH_122_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_122_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_122_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_122_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_122_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_122_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_122_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_122_DATA_SHIFT)
#define SCRATCH_SCRATCH_122_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_122_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_122_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_122_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_122_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_123
#define SCRATCH_SCRATCH_123                     _MK_ADDR_CONST(0x5c8)
#define SCRATCH_SCRATCH_123_SECURE                      0x0
#define SCRATCH_SCRATCH_123_DUAL                        0x0
#define SCRATCH_SCRATCH_123_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_123_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_123_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_123_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_123_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_123_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_123_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_123_DATA_SHIFT)
#define SCRATCH_SCRATCH_123_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_123_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_123_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_123_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_123_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_124
#define SCRATCH_SCRATCH_124                     _MK_ADDR_CONST(0x5cc)
#define SCRATCH_SCRATCH_124_SECURE                      0x0
#define SCRATCH_SCRATCH_124_DUAL                        0x0
#define SCRATCH_SCRATCH_124_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_124_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_124_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_124_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_124_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_124_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_124_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_124_DATA_SHIFT)
#define SCRATCH_SCRATCH_124_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_124_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_124_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_124_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_124_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_125
#define SCRATCH_SCRATCH_125                     _MK_ADDR_CONST(0x5d0)
#define SCRATCH_SCRATCH_125_SECURE                      0x0
#define SCRATCH_SCRATCH_125_DUAL                        0x0
#define SCRATCH_SCRATCH_125_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_125_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_125_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_125_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_125_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_125_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_125_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_125_DATA_SHIFT)
#define SCRATCH_SCRATCH_125_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_125_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_125_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_125_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_125_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_126
#define SCRATCH_SCRATCH_126                     _MK_ADDR_CONST(0x5d4)
#define SCRATCH_SCRATCH_126_SECURE                      0x0
#define SCRATCH_SCRATCH_126_DUAL                        0x0
#define SCRATCH_SCRATCH_126_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_126_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_126_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_126_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_126_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_126_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_126_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_126_DATA_SHIFT)
#define SCRATCH_SCRATCH_126_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_126_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_126_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_126_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_126_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_127
#define SCRATCH_SCRATCH_127                     _MK_ADDR_CONST(0x5d8)
#define SCRATCH_SCRATCH_127_SECURE                      0x0
#define SCRATCH_SCRATCH_127_DUAL                        0x0
#define SCRATCH_SCRATCH_127_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_127_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_127_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_127_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_127_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_127_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_127_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_127_DATA_SHIFT)
#define SCRATCH_SCRATCH_127_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_127_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_127_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_127_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_127_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_128
#define SCRATCH_SCRATCH_128                     _MK_ADDR_CONST(0x5dc)
#define SCRATCH_SCRATCH_128_SECURE                      0x0
#define SCRATCH_SCRATCH_128_DUAL                        0x0
#define SCRATCH_SCRATCH_128_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_128_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_128_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_128_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_128_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_128_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_128_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_128_DATA_SHIFT)
#define SCRATCH_SCRATCH_128_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_128_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_128_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_128_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_128_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_129
#define SCRATCH_SCRATCH_129                     _MK_ADDR_CONST(0x5e0)
#define SCRATCH_SCRATCH_129_SECURE                      0x0
#define SCRATCH_SCRATCH_129_DUAL                        0x0
#define SCRATCH_SCRATCH_129_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_129_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_129_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_129_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_129_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_129_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_129_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_129_DATA_SHIFT)
#define SCRATCH_SCRATCH_129_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_129_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_129_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_129_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_129_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_130
#define SCRATCH_SCRATCH_130                     _MK_ADDR_CONST(0x5e4)
#define SCRATCH_SCRATCH_130_SECURE                      0x0
#define SCRATCH_SCRATCH_130_DUAL                        0x0
#define SCRATCH_SCRATCH_130_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_130_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_130_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_130_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_130_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_130_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_130_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_130_DATA_SHIFT)
#define SCRATCH_SCRATCH_130_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_130_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_130_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_130_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_130_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_131
#define SCRATCH_SCRATCH_131                     _MK_ADDR_CONST(0x5e8)
#define SCRATCH_SCRATCH_131_SECURE                      0x0
#define SCRATCH_SCRATCH_131_DUAL                        0x0
#define SCRATCH_SCRATCH_131_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_131_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_131_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_131_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_131_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_131_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_131_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_131_DATA_SHIFT)
#define SCRATCH_SCRATCH_131_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_131_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_131_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_131_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_131_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_132
#define SCRATCH_SCRATCH_132                     _MK_ADDR_CONST(0x5ec)
#define SCRATCH_SCRATCH_132_SECURE                      0x0
#define SCRATCH_SCRATCH_132_DUAL                        0x0
#define SCRATCH_SCRATCH_132_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_132_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_132_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_132_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_132_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_132_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_132_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_132_DATA_SHIFT)
#define SCRATCH_SCRATCH_132_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_132_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_132_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_132_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_132_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_133
#define SCRATCH_SCRATCH_133                     _MK_ADDR_CONST(0x5f0)
#define SCRATCH_SCRATCH_133_SECURE                      0x0
#define SCRATCH_SCRATCH_133_DUAL                        0x0
#define SCRATCH_SCRATCH_133_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_133_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_133_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_133_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_133_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_133_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_133_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_133_DATA_SHIFT)
#define SCRATCH_SCRATCH_133_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_133_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_133_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_133_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_133_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_134
#define SCRATCH_SCRATCH_134                     _MK_ADDR_CONST(0x5f4)
#define SCRATCH_SCRATCH_134_SECURE                      0x0
#define SCRATCH_SCRATCH_134_DUAL                        0x0
#define SCRATCH_SCRATCH_134_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_134_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_134_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_134_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_134_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_134_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_134_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_134_DATA_SHIFT)
#define SCRATCH_SCRATCH_134_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_134_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_134_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_134_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_134_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_135
#define SCRATCH_SCRATCH_135                     _MK_ADDR_CONST(0x5f8)
#define SCRATCH_SCRATCH_135_SECURE                      0x0
#define SCRATCH_SCRATCH_135_DUAL                        0x0
#define SCRATCH_SCRATCH_135_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_135_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_135_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_135_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_135_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_135_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_135_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_135_DATA_SHIFT)
#define SCRATCH_SCRATCH_135_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_135_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_135_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_135_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_135_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH_136
#define SCRATCH_SCRATCH_136                     _MK_ADDR_CONST(0x5fc)
#define SCRATCH_SCRATCH_136_SECURE                      0x0
#define SCRATCH_SCRATCH_136_DUAL                        0x0
#define SCRATCH_SCRATCH_136_SCR                         NON_SECURE_SCRATCH_SCR_0
#define SCRATCH_SCRATCH_136_WORD_COUNT                  0x1
#define SCRATCH_SCRATCH_136_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_136_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_136_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_136_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH_136_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH_136_DATA_SHIFT)
#define SCRATCH_SCRATCH_136_DATA_RANGE                  31:0
#define SCRATCH_SCRATCH_136_DATA_WOFFSET                        0x0
#define SCRATCH_SCRATCH_136_DATA_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_DATA_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH_136_DATA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_DATA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_DATA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH_136_DATA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH0_0
#define SCRATCH_SCRATCH0_0                      _MK_ADDR_CONST(0x2000)
#define SCRATCH_SCRATCH0_0_SECURE                       0x0
#define SCRATCH_SCRATCH0_0_DUAL                         0x0
#define SCRATCH_SCRATCH0_0_SCR                  SCRATCH0_SCR_0
#define SCRATCH_SCRATCH0_0_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH0_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH0_0_SCRATCH0_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH0_0_SCRATCH0_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH0_0_SCRATCH0_SHIFT)
#define SCRATCH_SCRATCH0_0_SCRATCH0_RANGE                       31:0
#define SCRATCH_SCRATCH0_0_SCRATCH0_WOFFSET                     0x0
#define SCRATCH_SCRATCH0_0_SCRATCH0_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_SCRATCH0_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH0_0_SCRATCH0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_SCRATCH0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_SCRATCH0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH0_0_SCRATCH0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SCRATCH_SCRATCH1_0
#define SCRATCH_SCRATCH1_0                      _MK_ADDR_CONST(0x2004)
#define SCRATCH_SCRATCH1_0_SECURE                       0x0
#define SCRATCH_SCRATCH1_0_DUAL                         0x0
#define SCRATCH_SCRATCH1_0_SCR                  SCRATCH1_SCR_0
#define SCRATCH_SCRATCH1_0_WORD_COUNT                   0x1
#define SCRATCH_SCRATCH1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH1_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH1_0_SCRATCH1_SHIFT                       _MK_SHIFT_CONST(0)
#define SCRATCH_SCRATCH1_0_SCRATCH1_FIELD                       _MK_FIELD_CONST(0xffffffff, SCRATCH_SCRATCH1_0_SCRATCH1_SHIFT)
#define SCRATCH_SCRATCH1_0_SCRATCH1_RANGE                       31:0
#define SCRATCH_SCRATCH1_0_SCRATCH1_WOFFSET                     0x0
#define SCRATCH_SCRATCH1_0_SCRATCH1_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_SCRATCH1_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCRATCH_SCRATCH1_0_SCRATCH1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_SCRATCH1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_SCRATCH1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCRATCH_SCRATCH1_0_SCRATCH1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

//
// REGISTER LIST
//
#define LIST_ARSCRATCH_REGS(_op_) \
_op_(SCRATCH_SECURE_BL_SCRATCH_0) \
_op_(SCRATCH_SECURE_BL_SCRATCH) \
_op_(SCRATCH_SECURE_BL_SCRATCH_1) \
_op_(SCRATCH_SECURE_BL_SCRATCH_2) \
_op_(SCRATCH_SECURE_BL_SCRATCH_3) \
_op_(SCRATCH_SECURE_BL_SCRATCH_4) \
_op_(SCRATCH_SECURE_BL_SCRATCH_5) \
_op_(SCRATCH_SECURE_BL_SCRATCH_6) \
_op_(SCRATCH_SECURE_BL_SCRATCH_7) \
_op_(SCRATCH_SECURE_BL_SCRATCH_8) \
_op_(SCRATCH_SECURE_BL_SCRATCH_9) \
_op_(SCRATCH_SECURE_BL_SCRATCH_10) \
_op_(SCRATCH_SECURE_BL_SCRATCH_11) \
_op_(SCRATCH_SECURE_BL_SCRATCH_12) \
_op_(SCRATCH_SECURE_BL_SCRATCH_13) \
_op_(SCRATCH_SECURE_BL_SCRATCH_14) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_0) \
_op_(SCRATCH_SECURE_MTS_SCRATCH) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_1) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_2) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_3) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_4) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_5) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_6) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_7) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_8) \
_op_(SCRATCH_SECURE_MTS_SCRATCH_9) \
_op_(SCRATCH_SECURE_RSV0_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV0_SCRATCH) \
_op_(SCRATCH_SECURE_RSV0_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV1_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV1_SCRATCH) \
_op_(SCRATCH_SECURE_RSV1_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV2_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV2_SCRATCH) \
_op_(SCRATCH_SECURE_RSV2_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV3_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV3_SCRATCH) \
_op_(SCRATCH_SECURE_RSV3_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV4_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV4_SCRATCH) \
_op_(SCRATCH_SECURE_RSV4_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV5_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV5_SCRATCH) \
_op_(SCRATCH_SECURE_RSV5_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV6_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV6_SCRATCH) \
_op_(SCRATCH_SECURE_RSV6_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV7_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV7_SCRATCH) \
_op_(SCRATCH_SECURE_RSV7_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV8_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV8_SCRATCH) \
_op_(SCRATCH_SECURE_RSV8_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV9_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV9_SCRATCH) \
_op_(SCRATCH_SECURE_RSV9_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV10_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV10_SCRATCH) \
_op_(SCRATCH_SECURE_RSV10_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV11_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV11_SCRATCH) \
_op_(SCRATCH_SECURE_RSV11_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV12_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV12_SCRATCH) \
_op_(SCRATCH_SECURE_RSV12_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV13_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV13_SCRATCH) \
_op_(SCRATCH_SECURE_RSV13_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV14_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV14_SCRATCH) \
_op_(SCRATCH_SECURE_RSV14_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV15_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV15_SCRATCH) \
_op_(SCRATCH_SECURE_RSV15_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV16_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV16_SCRATCH) \
_op_(SCRATCH_SECURE_RSV16_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV17_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV17_SCRATCH) \
_op_(SCRATCH_SECURE_RSV17_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV18_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV18_SCRATCH) \
_op_(SCRATCH_SECURE_RSV18_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV19_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV19_SCRATCH) \
_op_(SCRATCH_SECURE_RSV19_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV20_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV20_SCRATCH) \
_op_(SCRATCH_SECURE_RSV20_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV21_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV21_SCRATCH) \
_op_(SCRATCH_SECURE_RSV21_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV22_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV22_SCRATCH) \
_op_(SCRATCH_SECURE_RSV22_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV23_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV23_SCRATCH) \
_op_(SCRATCH_SECURE_RSV23_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV24_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV24_SCRATCH) \
_op_(SCRATCH_SECURE_RSV24_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV25_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV25_SCRATCH) \
_op_(SCRATCH_SECURE_RSV25_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV26_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV26_SCRATCH) \
_op_(SCRATCH_SECURE_RSV26_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV27_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV27_SCRATCH) \
_op_(SCRATCH_SECURE_RSV27_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV28_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV28_SCRATCH) \
_op_(SCRATCH_SECURE_RSV28_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV29_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV29_SCRATCH) \
_op_(SCRATCH_SECURE_RSV29_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV30_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV30_SCRATCH) \
_op_(SCRATCH_SECURE_RSV30_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV31_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV31_SCRATCH) \
_op_(SCRATCH_SECURE_RSV31_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV32_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV32_SCRATCH) \
_op_(SCRATCH_SECURE_RSV32_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV33_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV33_SCRATCH) \
_op_(SCRATCH_SECURE_RSV33_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV34_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV34_SCRATCH) \
_op_(SCRATCH_SECURE_RSV34_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV35_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV35_SCRATCH) \
_op_(SCRATCH_SECURE_RSV35_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV36_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV36_SCRATCH) \
_op_(SCRATCH_SECURE_RSV36_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV37_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV37_SCRATCH) \
_op_(SCRATCH_SECURE_RSV37_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV38_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV38_SCRATCH) \
_op_(SCRATCH_SECURE_RSV38_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV39_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV39_SCRATCH) \
_op_(SCRATCH_SECURE_RSV39_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV40_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV40_SCRATCH) \
_op_(SCRATCH_SECURE_RSV40_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV41_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV41_SCRATCH) \
_op_(SCRATCH_SECURE_RSV41_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV42_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV42_SCRATCH) \
_op_(SCRATCH_SECURE_RSV42_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV43_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV43_SCRATCH) \
_op_(SCRATCH_SECURE_RSV43_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV44_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV44_SCRATCH) \
_op_(SCRATCH_SECURE_RSV44_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV45_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV45_SCRATCH) \
_op_(SCRATCH_SECURE_RSV45_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV46_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV46_SCRATCH) \
_op_(SCRATCH_SECURE_RSV46_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV47_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV47_SCRATCH) \
_op_(SCRATCH_SECURE_RSV47_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV48_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV48_SCRATCH) \
_op_(SCRATCH_SECURE_RSV48_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV49_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV49_SCRATCH) \
_op_(SCRATCH_SECURE_RSV49_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV50_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV50_SCRATCH) \
_op_(SCRATCH_SECURE_RSV50_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV51_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV51_SCRATCH) \
_op_(SCRATCH_SECURE_RSV51_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV52_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV52_SCRATCH) \
_op_(SCRATCH_SECURE_RSV52_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV53_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV53_SCRATCH) \
_op_(SCRATCH_SECURE_RSV53_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV54_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV54_SCRATCH) \
_op_(SCRATCH_SECURE_RSV54_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV55_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV55_SCRATCH) \
_op_(SCRATCH_SECURE_RSV55_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV56_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV56_SCRATCH) \
_op_(SCRATCH_SECURE_RSV56_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV57_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV57_SCRATCH) \
_op_(SCRATCH_SECURE_RSV57_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV58_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV58_SCRATCH) \
_op_(SCRATCH_SECURE_RSV58_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV59_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV59_SCRATCH) \
_op_(SCRATCH_SECURE_RSV59_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV60_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV60_SCRATCH) \
_op_(SCRATCH_SECURE_RSV60_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV61_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV61_SCRATCH) \
_op_(SCRATCH_SECURE_RSV61_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV62_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV62_SCRATCH) \
_op_(SCRATCH_SECURE_RSV62_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV63_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV63_SCRATCH) \
_op_(SCRATCH_SECURE_RSV63_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV64_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV64_SCRATCH) \
_op_(SCRATCH_SECURE_RSV64_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV65_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV65_SCRATCH) \
_op_(SCRATCH_SECURE_RSV65_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV66_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV66_SCRATCH) \
_op_(SCRATCH_SECURE_RSV66_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV67_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV67_SCRATCH) \
_op_(SCRATCH_SECURE_RSV67_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV68_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV68_SCRATCH) \
_op_(SCRATCH_SECURE_RSV68_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV69_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV69_SCRATCH) \
_op_(SCRATCH_SECURE_RSV69_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV70_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV70_SCRATCH) \
_op_(SCRATCH_SECURE_RSV70_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV71_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV71_SCRATCH) \
_op_(SCRATCH_SECURE_RSV71_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV72_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV72_SCRATCH) \
_op_(SCRATCH_SECURE_RSV72_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV73_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV73_SCRATCH) \
_op_(SCRATCH_SECURE_RSV73_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV74_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV74_SCRATCH) \
_op_(SCRATCH_SECURE_RSV74_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV75_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV75_SCRATCH) \
_op_(SCRATCH_SECURE_RSV75_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV76_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV76_SCRATCH) \
_op_(SCRATCH_SECURE_RSV76_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV77_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV77_SCRATCH) \
_op_(SCRATCH_SECURE_RSV77_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV78_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV78_SCRATCH) \
_op_(SCRATCH_SECURE_RSV78_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV79_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV79_SCRATCH) \
_op_(SCRATCH_SECURE_RSV79_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV80_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV80_SCRATCH) \
_op_(SCRATCH_SECURE_RSV80_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV81_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV81_SCRATCH) \
_op_(SCRATCH_SECURE_RSV81_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV82_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV82_SCRATCH) \
_op_(SCRATCH_SECURE_RSV82_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV83_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV83_SCRATCH) \
_op_(SCRATCH_SECURE_RSV83_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV84_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV84_SCRATCH) \
_op_(SCRATCH_SECURE_RSV84_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV85_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV85_SCRATCH) \
_op_(SCRATCH_SECURE_RSV85_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV86_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV86_SCRATCH) \
_op_(SCRATCH_SECURE_RSV86_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV87_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV87_SCRATCH) \
_op_(SCRATCH_SECURE_RSV87_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV88_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV88_SCRATCH) \
_op_(SCRATCH_SECURE_RSV88_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV89_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV89_SCRATCH) \
_op_(SCRATCH_SECURE_RSV89_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV90_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV90_SCRATCH) \
_op_(SCRATCH_SECURE_RSV90_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV91_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV91_SCRATCH) \
_op_(SCRATCH_SECURE_RSV91_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV92_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV92_SCRATCH) \
_op_(SCRATCH_SECURE_RSV92_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV93_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV93_SCRATCH) \
_op_(SCRATCH_SECURE_RSV93_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV94_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV94_SCRATCH) \
_op_(SCRATCH_SECURE_RSV94_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV95_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV95_SCRATCH) \
_op_(SCRATCH_SECURE_RSV95_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV96_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV96_SCRATCH) \
_op_(SCRATCH_SECURE_RSV96_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV97_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV97_SCRATCH) \
_op_(SCRATCH_SECURE_RSV97_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV98_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV98_SCRATCH) \
_op_(SCRATCH_SECURE_RSV98_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV99_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV99_SCRATCH) \
_op_(SCRATCH_SECURE_RSV99_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV100_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV100_SCRATCH) \
_op_(SCRATCH_SECURE_RSV100_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV101_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV101_SCRATCH) \
_op_(SCRATCH_SECURE_RSV101_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV102_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV102_SCRATCH) \
_op_(SCRATCH_SECURE_RSV102_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV103_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV103_SCRATCH) \
_op_(SCRATCH_SECURE_RSV103_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV104_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV104_SCRATCH) \
_op_(SCRATCH_SECURE_RSV104_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV105_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV105_SCRATCH) \
_op_(SCRATCH_SECURE_RSV105_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV106_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV106_SCRATCH) \
_op_(SCRATCH_SECURE_RSV106_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV107_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV107_SCRATCH) \
_op_(SCRATCH_SECURE_RSV107_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV108_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV108_SCRATCH) \
_op_(SCRATCH_SECURE_RSV108_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV109_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV109_SCRATCH) \
_op_(SCRATCH_SECURE_RSV109_SCRATCH_1) \
_op_(SCRATCH_SECURE_RSV110_SCRATCH_0) \
_op_(SCRATCH_SECURE_RSV110_SCRATCH) \
_op_(SCRATCH_SECURE_RSV110_SCRATCH_1) \
_op_(SCRATCH_SCRATCH_0) \
_op_(SCRATCH_SCRATCH) \
_op_(SCRATCH_SCRATCH_1) \
_op_(SCRATCH_SCRATCH_2) \
_op_(SCRATCH_SCRATCH_3) \
_op_(SCRATCH_SCRATCH_4) \
_op_(SCRATCH_SCRATCH_5) \
_op_(SCRATCH_SCRATCH_6) \
_op_(SCRATCH_SCRATCH_7) \
_op_(SCRATCH_SCRATCH_8) \
_op_(SCRATCH_SCRATCH_9) \
_op_(SCRATCH_SCRATCH_10) \
_op_(SCRATCH_SCRATCH_11) \
_op_(SCRATCH_SCRATCH_12) \
_op_(SCRATCH_SCRATCH_13) \
_op_(SCRATCH_SCRATCH_14) \
_op_(SCRATCH_SCRATCH_15) \
_op_(SCRATCH_SCRATCH_16) \
_op_(SCRATCH_SCRATCH_17) \
_op_(SCRATCH_SCRATCH_18) \
_op_(SCRATCH_SCRATCH_19) \
_op_(SCRATCH_SCRATCH_20) \
_op_(SCRATCH_SCRATCH_21) \
_op_(SCRATCH_SCRATCH_22) \
_op_(SCRATCH_SCRATCH_23) \
_op_(SCRATCH_SCRATCH_24) \
_op_(SCRATCH_SCRATCH_25) \
_op_(SCRATCH_SCRATCH_26) \
_op_(SCRATCH_SCRATCH_27) \
_op_(SCRATCH_SCRATCH_28) \
_op_(SCRATCH_SCRATCH_29) \
_op_(SCRATCH_SCRATCH_30) \
_op_(SCRATCH_SCRATCH_31) \
_op_(SCRATCH_SCRATCH_32) \
_op_(SCRATCH_SCRATCH_33) \
_op_(SCRATCH_SCRATCH_34) \
_op_(SCRATCH_SCRATCH_35) \
_op_(SCRATCH_SCRATCH_36) \
_op_(SCRATCH_SCRATCH_37) \
_op_(SCRATCH_SCRATCH_38) \
_op_(SCRATCH_SCRATCH_39) \
_op_(SCRATCH_SCRATCH_40) \
_op_(SCRATCH_SCRATCH_41) \
_op_(SCRATCH_SCRATCH_42) \
_op_(SCRATCH_SCRATCH_43) \
_op_(SCRATCH_SCRATCH_44) \
_op_(SCRATCH_SCRATCH_45) \
_op_(SCRATCH_SCRATCH_46) \
_op_(SCRATCH_SCRATCH_47) \
_op_(SCRATCH_SCRATCH_48) \
_op_(SCRATCH_SCRATCH_49) \
_op_(SCRATCH_SCRATCH_50) \
_op_(SCRATCH_SCRATCH_51) \
_op_(SCRATCH_SCRATCH_52) \
_op_(SCRATCH_SCRATCH_53) \
_op_(SCRATCH_SCRATCH_54) \
_op_(SCRATCH_SCRATCH_55) \
_op_(SCRATCH_SCRATCH_56) \
_op_(SCRATCH_SCRATCH_57) \
_op_(SCRATCH_SCRATCH_58) \
_op_(SCRATCH_SCRATCH_59) \
_op_(SCRATCH_SCRATCH_60) \
_op_(SCRATCH_SCRATCH_61) \
_op_(SCRATCH_SCRATCH_62) \
_op_(SCRATCH_SCRATCH_63) \
_op_(SCRATCH_SCRATCH_64) \
_op_(SCRATCH_SCRATCH_65) \
_op_(SCRATCH_SCRATCH_66) \
_op_(SCRATCH_SCRATCH_67) \
_op_(SCRATCH_SCRATCH_68) \
_op_(SCRATCH_SCRATCH_69) \
_op_(SCRATCH_SCRATCH_70) \
_op_(SCRATCH_SCRATCH_71) \
_op_(SCRATCH_SCRATCH_72) \
_op_(SCRATCH_SCRATCH_73) \
_op_(SCRATCH_SCRATCH_74) \
_op_(SCRATCH_SCRATCH_75) \
_op_(SCRATCH_SCRATCH_76) \
_op_(SCRATCH_SCRATCH_77) \
_op_(SCRATCH_SCRATCH_78) \
_op_(SCRATCH_SCRATCH_79) \
_op_(SCRATCH_SCRATCH_80) \
_op_(SCRATCH_SCRATCH_81) \
_op_(SCRATCH_SCRATCH_82) \
_op_(SCRATCH_SCRATCH_83) \
_op_(SCRATCH_SCRATCH_84) \
_op_(SCRATCH_SCRATCH_85) \
_op_(SCRATCH_SCRATCH_86) \
_op_(SCRATCH_SCRATCH_87) \
_op_(SCRATCH_SCRATCH_88) \
_op_(SCRATCH_SCRATCH_89) \
_op_(SCRATCH_SCRATCH_90) \
_op_(SCRATCH_SCRATCH_91) \
_op_(SCRATCH_SCRATCH_92) \
_op_(SCRATCH_SCRATCH_93) \
_op_(SCRATCH_SCRATCH_94) \
_op_(SCRATCH_SCRATCH_95) \
_op_(SCRATCH_SCRATCH_96) \
_op_(SCRATCH_SCRATCH_97) \
_op_(SCRATCH_SCRATCH_98) \
_op_(SCRATCH_SCRATCH_99) \
_op_(SCRATCH_SCRATCH_100) \
_op_(SCRATCH_SCRATCH_101) \
_op_(SCRATCH_SCRATCH_102) \
_op_(SCRATCH_SCRATCH_103) \
_op_(SCRATCH_SCRATCH_104) \
_op_(SCRATCH_SCRATCH_105) \
_op_(SCRATCH_SCRATCH_106) \
_op_(SCRATCH_SCRATCH_107) \
_op_(SCRATCH_SCRATCH_108) \
_op_(SCRATCH_SCRATCH_109) \
_op_(SCRATCH_SCRATCH_110) \
_op_(SCRATCH_SCRATCH_111) \
_op_(SCRATCH_SCRATCH_112) \
_op_(SCRATCH_SCRATCH_113) \
_op_(SCRATCH_SCRATCH_114) \
_op_(SCRATCH_SCRATCH_115) \
_op_(SCRATCH_SCRATCH_116) \
_op_(SCRATCH_SCRATCH_117) \
_op_(SCRATCH_SCRATCH_118) \
_op_(SCRATCH_SCRATCH_119) \
_op_(SCRATCH_SCRATCH_120) \
_op_(SCRATCH_SCRATCH_121) \
_op_(SCRATCH_SCRATCH_122) \
_op_(SCRATCH_SCRATCH_123) \
_op_(SCRATCH_SCRATCH_124) \
_op_(SCRATCH_SCRATCH_125) \
_op_(SCRATCH_SCRATCH_126) \
_op_(SCRATCH_SCRATCH_127) \
_op_(SCRATCH_SCRATCH_128) \
_op_(SCRATCH_SCRATCH_129) \
_op_(SCRATCH_SCRATCH_130) \
_op_(SCRATCH_SCRATCH_131) \
_op_(SCRATCH_SCRATCH_132) \
_op_(SCRATCH_SCRATCH_133) \
_op_(SCRATCH_SCRATCH_134) \
_op_(SCRATCH_SCRATCH_135) \
_op_(SCRATCH_SCRATCH_136) \
_op_(SCRATCH_SCRATCH0_0) \
_op_(SCRATCH_SCRATCH1_0) \

//
// ADDRESS SPACES
//

#define BASE_ADDRESS_SCRATCH    0x00000000

//
// ARSCRATCH REGISTER BANKS
//

#define SCRATCH0_FIRST_REG 0x0000 // SCRATCH_SECURE_BL_SCRATCH_0
#define SCRATCH0_LAST_REG 0x05fc // SCRATCH_SCRATCH_136
#define SCRATCH1_FIRST_REG 0x2000 // SCRATCH_SCRATCH0_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARSCRATCH_H_INC_
